2010-03-10  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/bugzilla:
	  Releasing 0.13.4 "Cabernet d'Anjou"

2010-03-10  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: Make sure people use latest GStreamer
	  We need 0.10.26 at least for a fix in decodebin2, but since 28 got released
	  within a short timespan, let's use that one.

2010-03-10  Alexandre Prokoudine <alexandre.prokoudine@gmail.com>

	* po/ru.po:
	  Slightly updated Russian translation

2010-03-09  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure: 0.13.3.2 pre release

2010-03-09  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure: bump GNonLin requirement to 0.10.15
	  We need this for the many videomixing-related fixes

2010-03-08  Edward Hervey <bilboed@bilboed.com>

	  Merging translations

2010-03-08  Marek Černocký <marek@manet.cz>

	* po/cs.po:
	  Update Czech translation

2010-03-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: fix discovery of files with unknown streams

2010-03-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/pathwalker.py:
	* pitivi/ui/sourcelist.py:
	  Fix #611996 even more (folders now).

2010-03-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/sourcelist.py:
	  Fix #611996 some more.

2010-03-07  Dimitris Tsiolis <dimits7@gmail.com>

	* po/el.po:
	  Updated Greek translation for pitivi

2010-03-07  Edward Hervey <bilboed@bilboed.com>

	  Merging translations

2010-03-07  Marek Černocký <marek@manet.cz>

	* po/cs.po:
	  Update Czech translation

2010-03-07  Jorge González <jorgegonz@svn.gnome.org>

	* po/es.po:
	  Updated Spanish translation

2010-03-07  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_discoverer.py:
	  Fix discoverer tests.

2010-03-07  Alessandro Decina <alessandro.d@gmail.com>

	* tests/common.py:
	  Fix tests/common.py so that I can use trial to run tests again.

2010-03-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/sourcelist.py:
	  Pass valid uris for filenames to discoverer. Fixes #611996.

2010-03-07  Jean-François Fortin Tam <nekohayo@gmail.com>

	* pitivi/ui/trackobject.py:
	  Change the default timeline colors to black (video) and green (audio).

2010-03-06  Andrej Žnidaršič <andrej.znidarsic@gmail.com>

	* po/sl.po:
	  Updated Slovenian translation

2010-03-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: try a better fix for subtitles

2010-03-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: blind fix for subtitle movies never going EOS.

2010-03-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: add a comment about the EOS elements.

2010-03-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: generate shorter filenames for thumbnails.
	  Fixes some weird bugs due to file operations failing with too long filenames.

2010-03-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: handle state change failure going to PLAYING.

2010-03-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: add some debugging.

2010-03-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: add some debug logs to show how many unfixed pads are left.

2010-03-05  Fran Diéguez <frandieguez@ubuntu.com>

	* po/gl.po:
	  Updated Galician translation

2010-03-05  Edward Hervey <bilboed@bilboed.com>

	  Merging translations

2010-03-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/projecttabs.py:
	  Set a default size for the detachable source list window.

2010-03-05  Jean-François Fortin Tam <nekohayo@gmail.com>

	* pitivi/ui/exportsettingswidget.py:
	  Add more video frame rates. Fixes #603203.

2010-03-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  Block video pads to prepare for seeking only once they are negotiated. Fixes #611761.

2010-03-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_factories_file.py:
	  test_factories_file.py: check in unit test for SourceFactory.setFilterCaps()
	  it's easier to test this functionality when it's part of FileSourceFactory, as
	  it involves creating bins with SourceFactorie's _makeStreamBin

2010-03-04  Gianvito Cavasoli <gianvito@gmx.it>

	* po/it.po:
	  Micro update to Italian translation

2010-03-04  Gianvito Cavasoli <gianvito@gmx.it>

	* po/it.po:
	  Updated Italian translation

2010-03-04  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2010-03-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/common.py:
	  tests/common.py: don't bother checking for leaks if test case ends in failure or error

2010-03-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: fix bug preventing scaling when project settings change

2010-03-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui/timeline.py: remove duplicated code which connects DnD signal handlers

2010-03-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: also query the duration once caps are fixed.
	  Workarounds a bug with flump3dec.

2010-03-02  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/utils.py:
	  seeker: cosmetic change

2010-03-02  Edward Hervey <bilboed@bilboed.com>

	  Merging translations

2010-03-02  Robin Norwood <robin.norwood@gmail.com>

	* pitivi/ui/sourcelist.py:
	  Rename Add Clips to Import clips in the source list popup menu.

2010-03-02  Daniel Nylander <po@danielnylander.se>

	* po/sv.po:
	  Updated Swedish translation

2010-03-02  Timo Jyrinki <timo.jyrinki@iki.fi>

	* po/fi.po:
	  Updated Finnish translation.

2010-03-02  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	  Fix keyboard shortcuts for seeking. Fixes #608949.

2010-03-02  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/singledecodebin.py:
	* pitivi/pipeline.py:
	  Make singledecodebin and pipeline queues smaller.
	  Set max_size_buffers=3 in singledecodebin and Pipeline. This makes
	  seeking around in the timeline a bit faster.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	  Fix exception if something != dnd.TYPE_PITIVI_FILESOURCE is dragged on the timeline.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	  track: don't update the default sources if updates are disabled.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	  track: add debug logs to show the current default sources.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/log/log.py:
	  Revert a change in log.py that I introduced in the previous commit.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	* pitivi/log/log.py:
	  discoverer: add an elements whose sole purpose is to EOS after a buffer.
	  Add EOSSir and use it instead of fakesink.num_buffers = 1 if we have cached
	  thumbnails. Fixes not-expected errors when discovering images.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	* pitivi/settings.py:
	  Cache thumbnails in XDG_CACHE_HOME/pitivi.
	  This speeds up importing a project significantly until we get a
	  project format that bundles thumbnails.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: add some debugging.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_discoverer.py:
	  tests/test_discoverer: make sure we get notify::caps for ghost pads.

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/device.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/webcam_managerdialog.py:
	  Allow pitivi to run without HAL. Partly fixes #605920.
	  Based on a patch from Guillaume Bouchard.

2010-03-01  Edward Hervey <bilboed@bilboed.com>

	  Merging translations

2010-02-10  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_factories_file.py:
	  tests/test_factories_file.py: disable obsolete unit test

2010-02-10  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: check if bin actually has ghostpad before attempting to remove it

2010-02-10  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/elements/smartscale.py:
	  smartscale.py: don't assume that width, height, etc will be present in the given caps

2010-03-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	  Fix some bugs introduced merging the default_sources branch.
	  Fix a deadlock calling gnlsource.set_state(gst.STATE_NULL) with composition
	  updates turned off.
	  Fix not-linked errors posted by removed default sources.

2010-02-28  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Disable some more updates.

2010-02-28  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	  Remove a sync_state_with_parent call since it might deadlock.

2010-02-25  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	  checkpoint

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: add bin to gnlobject and set priority when making default sources

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: use factory class name for gnlobjects created by TrackObjects

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_etree_formatter.py:
	* tests/test_timeline.py:
	  tests/test_timeline.py,test_etree_formatter.py: update test cases

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: keep track of new default sources

2009-12-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: update default sources whenever a track-object is added or removed, or when updates are re-enabled

2009-12-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: use gap-finding code to handle multiple default sources basically brute-force approach: keep a list of sources added, remove previous sources, find new gap list, add new sources.

2009-12-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: assign maximum allowable priority to default sources

2009-12-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/formatters/etree.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/track.py:
	  etree.py, track.py, ui.track.py: remove references to default TrackObjects

2009-12-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/gap.py:
	* tests/test_gap.py:
	  gap.py, test_gap.py: check in findAllGaps() and unit test

2010-02-28  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/base.py:
	  Fix merge screwup.

2010-02-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/elements/smartscale.py:
	  smartscale.py: scale video to output resolution even if dar is the same

2010-02-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/project.py:
	  project.py: get the full video caps from our settings, since we can handle this now

2010-02-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: replace scale/videobox combo with SmartVideoScale element which does this for us

2010-02-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/project.py:
	  project.py: set width/height on filter caps when settings change. stop/pause pipeline to make sure caps are renegotiated

2010-02-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: add setFilterCaps method to dynamically set caps on SourceFactory bins

2010-01-28  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: force all images to the same resolution

2010-01-27  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	  factories/{base.py,file.py}: move definition of alpha and volume props to SourceFactory

2010-01-27  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/file.py:
	  factories/file.py: remove redundant videoscale from PictureFileSourceFactory

2010-01-27  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: move videoscale element to base SourceFactory

2010-02-28  Jennie Petoumenou <jenniepet@src.gnome.org>

	* po/el.po:
	  Updated Greek translation

2010-02-25  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/base.py:
	  Oops, revert some crap that I committed with be3922

2010-02-25  António Lima <amrlima@gmail.com>

	* po/pt.po:
	  Updated Portuguese translation

2010-02-25  Gabor Kelemen <kelemeng@gnome.hu>

	* po/hu.po:
	  Updated Hungarian translation

2010-02-22  Aron Xu <aronxu@gnome.org>

	* po/zh_CN.po:
	  Update Simplified Chinese translation.

2010-02-22  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/sourcelist.py:
	  Fix #602892 - clips deleted from the source list are not restored in the timeline when undoing.

2010-02-22  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	* pitivi/ui/timeline.py:
	  Fix a regression undoing splitting of clips. Fixes #597704.

2010-02-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/prefs.py:
	  Set a better default size for the preference window. Fixes #593663.

2010-02-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  discoverer: seek at duration / 3 when generating thumbnails.

2010-02-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/imagefreeze.py:
	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	  PictureSourceFactory, add ffmpegcolorspace after imagefreeze.
	  Fixes not-negotiated errors with some pngs.

2010-02-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/encodingdialog.py:
	  Some more fixes for #584135.

2010-02-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/encodingdialog.py:
	  In the encoding dialog, show "no audio" if audio isn't available. Fixes #584135.

2010-02-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/settings.py:
	* pitivi/ui/encodingdialog.py:
	  Make rendering video only or audio only work again. Partly fixes #584135.

2010-02-20  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	  Workaround for 610072. Fixes a segfault.

2009-10-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Remove obsolete FIXME.

2010-02-19  Timo Jyrinki <timo.jyrinki@iki.fi>

	* po/fi.po:
	  Committing some updates I did to Finnish translation.

2010-02-15  Rudolfs Mazurs <rudolfs.mazurs@gmail.com>

	* po/lv.po:
	  Updated Latvian translation

2010-02-15  Rudolfs Mazurs <rudolfs.mazurs@gmail.com>

	* po/lv.po:
	  Updated Latvian translation

2010-02-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  stream: Detect subpicture/* as TextStream(s)
	  Fixes #609426

2010-02-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	  discoverer: Make fakesink EOS instantly.
	  We need this to make the discoverer EOS as soon as possible.
	  Fixes #575356

2010-02-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* AUTHORS:
	  AUTHORS: add Stephen Griffiths to authors

2010-02-02  Stephen Griffiths <scgmk5@gmail.com>

	* pitivi/ui/sourcelist.py:
	  pitivi/ui/sourcelist.py: make insert key sensitive with both views

2010-02-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  pitivi/ui/sourcelist.py: use nautilus behaviour for right-click modifiers

2010-02-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  pitivi/ui/sourcelist.py: make popup insensitive when not useable

2010-02-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  ui/sourcelist.py: make *UnderMouse*() work with iconview

2010-02-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  ui/sourcelist.py: implement iconview DnD

2010-02-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  ui/sourcelist.py: allow user to switch views. save/restore this setting

2010-02-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  ui/sourcelist.py: create an iconview widget

2010-02-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  ui/sourcelist.py: add large icon column to sourcelist model

2010-02-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  ui/sourcelist.py: remove useless overriding of show() and hide() methods

2010-02-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/projecttabs.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/viewer.py:
	  ui/many files: don't call show_all() in mainwindow.py, call show() on individual components

2010-02-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: checkpoint: fixed bug 589814

2010-02-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: slightly larger oval around value label

2010-01-27  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: adjust is_item_at to account for overflow

2010-01-27  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: use a separate clipping rectangle for value labels

2010-01-27  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	* pitivi/ui/timelinecanvas.py:
	  curve.py,timelinecanvas.py: rename KW_LABEL_OVERFLOW to KW_LABEL_Y_OVERFLOW

2010-01-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: shift tracks downward to make room for label

2010-01-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: shift curve upward

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: draw value label around focused keyframe

2010-01-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/trackobject.py:
	  trackobject.py: don't specify height of curve widget

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/common.py:
	  ui.common.py: check in roundedrec function

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/file.py:
	* pitivi/timeline/track.py:
	  curve.py: specify formatfunc in getInterpolatedProperties
	  factories/file.py,timeline/track.py: give formatfunc in
	  getInterpolatedProperties

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: add value formatValue function, with optional format func passed in constructor

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/utils.py:
	  utils.py: add formatPercent function

2010-01-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/elements/arraysink.py:
	  arraysink.py: limit waveforms to a single channel
	  closes bug 607614

2010-02-04  Xandru Armesto Fernandez <xandru@softastur.org>

	* po/LINGUAS:
	  Added asturian language

2010-02-04  Xandru Armesto Fernandez <xandru@softastur.org>

	* po/ast.po:
	  Updated asturian translation

2010-01-29  Gabor Kelemen <kelemeng@gnome.hu>

	* po/hu.po:
	  Hungarian translation updated

2010-01-28  Gabor Kelemen <kelemeng@gnome.hu>

	* po/hu.po:
	  Hungarian translation added by Attila Hammer

2010-01-27  Gabor Kelemen <kelemeng@gnome.hu>

	* po/LINGUAS:
	  Added hu to LINGUAS

2009-12-18  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui/timeline.py: seek timeline after spliting. fixes 603149

2010-01-22  Edward Hervey <bilboed@bilboed.com>

	* tests/test_encode.py:
	  tests: update test_encode for deprecated theoraenc properties

2010-01-20  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  pitivi/factories/base.py: clear ghost pad target before removing it

2010-01-19  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_factories_file.py:
	  test_factories_file.py: fix test cases

2010-01-19  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: clean up child bin

2010-01-15  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/elements/thumbnailsink.py:
	  thumbnailsink.py: set alphamask so transparent thumbnails render

2010-01-08  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/file.py:
	  factories/file.py: don't use ffvideoscale when still image has alpha ffvideoscale can handle rgba but not ayuv

2010-01-15  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: preserve any existing alpha channel

2010-01-19  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/file.py:
	  factories/file.py: PictureFileSourceFactory just got a lot simpler

2010-01-15  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/factories/base.py:
	  factories/base.py: refactor SourceFactory._makeStreamBin for more flexibility
	  Allow subclassses to pass a bin when the chain up to which we will link to
	  both source and sink pads. This allows us to do both upstream and downstream
	  processing at each level of abstraction.

2010-01-07  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/stream.py:
	  stream.py: implement has_alpha() for RGB and YUV streams

2010-01-11  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_etree_formatter.py:
	  tests/test_etree_formatter.py: update unit tests
	  checkpoint: start end keyframes are now adjustable
	  closes bug 589691

2010-01-11  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/formatters/etree.py:
	  etree.py: check for curve version and do conversion if necessary when loading

2010-01-11  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/formatters/etree.py:
	  etree.py: add a version attribute to curve elements when saving

2010-01-08  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: sets start/end keyframes to {in,out}_point in constructor fixes gst_controller assertion warnings because we don't later try to unset a time that was never set.

2010-01-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: preserve shape of curve after splitting

2010-01-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	* pitivi/ui/trackobject.py:
	  curve.py, trackobject.py: fix curve hitbox detection issues curve.py: make keyframes larger again
	  closes bugs 603425, 603107

2009-12-18  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: use getVisibleKeyframes() for drawing curve

2009-12-18  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: move start and end keyframes when media_{start,stop} of track object changes
	  note: this changes the semantics of the start, end keyframes. they are not
	  longer fixed to the start and end points of the file but represent the start of the file in
	  the timeline.

2009-12-18  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: add getVisibleKeyframes(), updateMedia{Start,Stop} interpolator methods

2009-12-18  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	* pitivi/utils.py:
	  curve.py,utils.py: move between() function to utils

2010-01-20  Greg Auger <gregory.auger@googlemail.com>

	* pitivi/ui/mainwindow.py:
	  Add pulseaudio 'role' tagging

2010-01-18  António Lima <amrlima@gmail.com>

	* po/pt.po:
	  Updated Portuguese translation

2010-01-12  Ivaylo Valkov <ivaylo@e-valkov.org>

	* po/LINGUAS:
	* po/bg.po:
	  Updated Bulgarian translation

2010-01-11  dumol <dumol@twinsun.ath.cx>

	* po/ro.po:
	  Updated Romanian translation

2010-01-01  Andrej Žnidaršič <andrej.znidarsic@gmail.com>

	* po/sl.po:
	  Updated Slovenian translation

2009-12-31  Flamarion Jorge <jorge.flamarion@gmail.com>

	* po/pt_BR.po:
	  Updated Brazilian Portuguese translation
	  Reviewed by Djavan Fagundes <dnoway@gmail.com>

2009-12-30  Marek Černocký <marek@manet.cz>

	* po/cs.po:
	  Update Czech translation.

2009-12-28  Marek Černocký <marek@manet.cz>

	* po/cs.po:
	  Update Czech translation.

2009-12-19  Lucian Adrian Grijincu <lucian.grijincu@gmail.com>

	* po/ro.po:
	  Update Romanian translation

2009-12-13  Jorge González <jorgegonz@svn.gnome.org>

	* po/es.po:
	  Updated Spanish translation, fixed typo

2009-12-12  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-12-10  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/viewer.py:
	  viewer.py: add seek-on-click behavior to viewer slider closes bug 432647

2009-12-09  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* tests/test_integration.py:
	  mainwindow.py,test_integration.py: issue preliminary seek on timeline closes bugs 603045, 603424, 603102

2009-12-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  sourcelist.py: also seek when adding new clips to timeline

2009-12-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: use project seeker in for playhead

2009-12-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/trackobject.py:
	  trackobject.py: use project seeker in trackobject.py

2009-12-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: use project seeker in timeline.py

2009-12-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/ruler.py:
	  pitivi/ui/ruler.py: use project seeker in ruler

2009-12-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  pitivi/ui/mainwindow.py: connect to the project seeker in mainwindow.py note that this commit will break all seeking. it is restored by later commits.

2009-12-01  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/project.py:
	  project.py: put a seeker in the project

2009-12-09  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge remote branch 'gnome/master'

2009-12-08  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/utils.py:
	  utils.py: fix stupid f@#$%ing signalinterface unit test failure

2009-11-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: fine-tune for longer clips

2009-11-03  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: cache and display waveforms at multiple resolutions
	  The waveform previewer was exceeding some kind of cairo limitation
	  at low zoom ratios. This limitation has something to do with the number and
	  size of images drawn during a single update. By storing and lower-resolution
	  versions of each waveform segment, we can avoid hitting this limitation.

2009-10-29  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow.py: set zoom ratio when adding the first clips to the timeline closes bug 595362

2009-10-29  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/trackobject.py:
	  timeline.py,ui.trackobject.py: check in alessandro's fix for 597703

2009-12-08  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui/timeline.py: set a tooltip on the zoom slider

2009-12-08  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/viewer.py:
	  mainwindow.py,viewer.py: hide viewer slider when timeline is current pipeline closes bug 590632

2009-12-08  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui/timeline.py: add a gtk.HScale to upper left corner of timeline for zooming closes bug 586025

2009-12-08  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui/timeline.py: add +/- accelerators for zooming to menu action

2009-12-08  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui/timeline.py: remove zoom buttons from timeline toolbar

2009-12-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  ui/sourcelist.py: change conflicting accelerator

2009-12-05  Adi Roiban <adi@roiban.ro>

	* po/ro.po:
	  Update Romanian translation

2009-12-05  Adi Roiban <adi@roiban.ro>

	* po/LINGUAS:
	* po/ro.po:
	  Update Romanian translation

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: better error messages

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: don't expand timeline infostub

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow.py: remove references to MainWindow.errordialog

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/filelisterrordialog.py:
	  filelisterrordialog.py: some small tweaks to make dialog more generic

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  pitivi/ui/mainwindow.py: use the timeline infostub to report pipeline errors

2009-12-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: add an InfoStub to the timeline widget

2009-12-04  Andrej Žnidaršič <andrej.znidarsic@gmail.com>

	* po/sl.po:
	  Updated Slovenian translation

2009-12-01  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge remote branch 'gnome/master'

2009-11-20  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: test for seeking (requires ENABLE_UI)

2009-11-20  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: can run tests with UI by setting ENABLE_UI

2009-11-30  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: make playhead black

2009-11-30  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: update playhead on zoom

2009-11-30  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: remove cruft related to razor tool

2009-11-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: cosmetic tweaks for playhead to improve appearance

2009-11-24  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	  timeine.py,timelinecanvas.py: convert razor to movable playhead

2009-11-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject.py: fix SHIFT/CONTROL + click: SHIFT + click selects rectangular area CONTROL + toggles selected state closes bugs 590784 and 587378

2009-11-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: implement SELECT_BETWEEN selection mode

2009-11-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: add getObjsInRegion() method

2009-11-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/timeline.py:
	  pitivi/timeline/timeline.py: allow adding TimelineObjects to selection

2009-11-29  Jorge González <jorgegonz@svn.gnome.org>

	* po/es.po:
	  Updated Spanish translation

2009-11-28  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Don't attempt to deserialize blank properties.
	  Fixes #603202

2009-11-27  Claude Paroz <claude@2xlibre.net>

	* pitivi/ui/mainwindow.py:
	  mainwindow.py Fix string concatenation. Fixes #593962

2009-11-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/operation.py:
	* pitivi/factories/timeline.py:
	  factories: Silence identity.
	  This avoids making them waste cpu time creating messages nobody reads

2009-11-25  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: remove duplicate __gsignals__

2009-11-23  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: seek when clicking in blank area
	  do not seek when selecting objects under the marquee. Also, explicitly clear
	  the selection when the click has occured in a blank area and the shift or
	  control keys were not depressed.

2009-11-23  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: remove unnecessary seek request, ensures previous commit always works

2009-11-23  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/trackobject.py:
	  trackobject.py: seek playhead on unmodified click

2009-11-23  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: make split command modeless split now uses current playhead position as input time

2009-11-23  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  [test_]timeline.py: check in Timeline.split() method and unit tests

2009-11-20  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  timeline.py,test_timeline.py: add getObjsAtTime() method and tests

2009-11-23  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge remote branch 'gnome/master'

2009-11-23  Rodolfo Ribeiro Gomes <rodolforg@gmail.com>

	* po/pt_BR.po:
	  Updated Brazilian Portuguese translation; reviewed by Vladimir Melo.

2009-11-23  Flamarion Jorge <jorge.flamarion@gmail.com>

	* po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2009-11-21  António Lima <amrlima@gmail.com>

	* po/pt.po:
	  Updated Portuguese translation

2009-11-20  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/mainwindow.xml:
	  mainwindow.xml: disable plugin manager

2009-11-19  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* Makefile.am:
	* tests/Makefile.am:
	* tests/runtests.py:
	  remove integration tests from make check target: run them with make check-integration, instead

2009-11-11  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/application.py:
	* tests/test_integration.py:
	  application.py,test_integration.py: changes to make running tests with UI work better

2009-11-11  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: clear dirty bit to prevent save confirmation dialog when running with ui

2009-11-11  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: check for duplicate source names in Configuration

2009-11-10  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: add simple test case for ripple trim start

2009-11-19  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: add more complex suite of integration tests

2009-11-09  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: add simple ripple test case

2009-11-09  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: fix some problems with Brush

2009-11-06  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: split out test cases from fixture

2009-11-06  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: more meaningful error message for Configuration.matches()

2009-11-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/preview.py:
	* pitivi/ui/previewer.py:
	* pitivi/ui/trackobject.py:
	  preview{er},trackobject.py: remove references to instance module

2009-11-05  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: remove crack copied over from preview.py

2009-11-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: make Configuration.matches() test more complete

2009-11-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: factor scrub() logic into separate class
	  should make complex sequences of interaction easier to implement

2009-11-04  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: factor integration test logic into IntanceRunner
	  Reduces test case boilerplate code and enables most tests to run as
	  self-contained methods of TestCase objects.

2009-10-29  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration: use media from tests submodule

2009-10-28  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: add TestMoveSources test case

2009-10-28  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: add scrubContext() method

2009-10-26  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: test timeline

2009-10-26  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: test importing files

2009-08-29  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  SourceFactory: Make sure video elements reach the proper state befor using them.

2009-08-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/mixer.py:
	* pitivi/timeline/track.py:
	  videomixing: Use new gnloperation signal to inform videomixer of zorder.
	  Doesn't seem to work 100% reliably though. Requires gnonlin git.

2009-08-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/mixer.py:
	  SmartVideoMixer: Ensure we request a unique sink pad

2009-08-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  SourceFactory: Add a 3-buffer queue for video streams.
	  This is causing really weird crashers and non-linked errors :(

2009-08-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/mixer.py:
	  SmartVideoMixer: Force usage of AYUV and use black background.
	  We have operational video mixing :)

2009-08-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	  factories: Setup alpha/ffmpegcolorspace elements for video streams
	  This needs more work though because it's not doing the mixing properly :)

2009-06-29  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/mixer.py:
	* pitivi/timeline/track.py:
	  Add video mixing support, needs some more loving though

2009-11-18  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-11-06  Edward Hervey <bilboed@bilboed.com>

	  merging translations
	  Merge remote branch 'gnome/master'

2009-11-06  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  encode.py: Build factories only once.
	  This avoids stray double-elements lists

2009-11-04  Jorge González <jorgegonz@svn.gnome.org>

	* po/es.po:
	  Updated Spanish translation

2009-11-04  Jean-François Fortin Tam <nekohayo@gmail.com>

	* pitivi/ui/mainwindow.xml:
	  Cleans up the toolbar
	  [ui] Remove "New", "Open" and "Save" toolbar buttons.
	  https://bugzilla.gnome.org/show_bug.cgi?id=558019

2009-10-28  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/application.py:
	  application.py: fix a bug exposed by Base integration test

2009-10-26  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: check in base test case

2009-10-28  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/test_integration.py:
	  test_integration.py: add watchdog timer and tests

2009-10-28  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* tests/Makefile.am:
	* tests/test_integration.py:
	  tests: check-in and dist test_integration.py

2009-10-26  Brandon Lewis <brandon_lewis@alum.berkeley.edu>

	* pitivi/application.py:
	  application.py: add a --no-ui option which will not show a gui

2009-10-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/application.py:
	  application.py: track changes to project settings changes to project settings are now undoable and change dirty state closes bug 593465

2009-10-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/project.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	  project.py,mainwindow.py,ui.timeline.py: pass old, new settings in settings-changed signal

2009-10-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/project.py:
	  project.py: don't connect to settings-changed signal of ExportSettings

2009-10-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/projectsettings.py:
	  projectsettings.py: pass a copy of current project to export settings widget

2009-10-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/settings.py:
	  settings.py: add copy() method to ExportSettings class

2009-10-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/projectmanager.py:
	  projectmanager.py: check in ProjectSettingsChanged and ProjectLogObserver

2009-10-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/previewer.py:
	  Revert "Fix traceback previewing audio stream. Fixes #597790."
	  This reverts commit 0e6d977a06080b22b0f900211e8263db71686051. A better fix was
	  committed.

2009-10-08  Tim Waugh <twaugh@redhat.com>

	* pitivi/ui/previewer.py:
	  Use at least 1 sample-per-pixel when previewing audio stream. Fixes #597790.

2009-10-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/previewer.py:
	  Fix traceback previewing audio stream. Fixes #597790.

2009-10-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/timeline.py:
	* tests/test_timeline_undo.py:
	  Fix undoing 'ungroup' operation. Fixes #597711.

2009-10-08  Edward Hervey <bilboed@bilboed.com>

	  Merging translation
	  Merge remote branch 'gnome/master'

2009-10-08  Matej Urbančič <mateju@svn.gnome.org>

	* po/LINGUAS:
	  Added sl for Slovenian language

2009-10-08  Andrej Žnidaršič <andrej.znidarsic@gmail.com>

	* po/sl.po:
	  Added Slovenian translation

2009-10-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/previewer.py:
	  Fix picture thumbnails.

2009-10-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/previewer.py:
	  Avoid exception generating thumbnails for streams having framerate 0/1

2009-10-04  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-10-02  Gianvito Cavasoli <gianvito@gmx.it>

	* po/it.po:
	  Updated Italian translation

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: don't draw anything if we get an empty buffer

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  prevewer.py: quantize thubnail timestamps to avoid unecessary redraws

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: add spacing offset to thumbnail duration, eliminates some uncessary re-renderings

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/zoominterface.py:
	  zoominterface.py: add method to compute pixel width at arbitrary zoom ratio

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: make larger audio thumbnail tiles, undersample for smoother appearance

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/elements/arraysink.py:
	* pitivi/ui/previewer.py:
	  arraysink.py, previewer.py: support multi-channel audio

2009-07-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: use the min-max waveform generation algorithm, speeding up drawing and improving accuracy previewer.py: combine resampling and rendering loops

2009-07-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: scale audio thumbnails to the current zoom

2009-07-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: render waveform thumbnails at constant size

2009-07-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: constant tdur for AudioPreviewer

2009-07-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: make tdur a property

2009-07-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer.py: set cairo surface directly in _thumbForTime

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: set a contrasting inward bevel on the canvas

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: bevel the ruler and timeline controls outward

2009-09-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: add a little spacing between canvas and adjacent controls

2009-09-23  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi.desktop.in:
	  remove pitivi.desktop.in from version control

2009-09-23  Brandon Lewis <brandon_lewis@berkeley.edu>

	* .gitignore:
	  add pitivi.desktop.in to .gitignore

2009-09-22  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/preview.py:
	  preview.py: add border around thumbnails

2009-09-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  trackobject.py: raise objects on enter instead of drag start

2009-09-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  controller.py: tweaks to make sure enter/leave are called and curors are set correctly

2009-09-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  trackobject.py: add 1 pixel border

2009-09-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  trackobject.py: hide trim handles when not focused

2009-09-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	* pitivi/ui/trackobject.py:
	  curve.py, trackobject.py: focusing of any part of trackobject also focuses trackobject

2009-09-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  controller.py: allow controllers to override whether or not they handle mouse events

2009-09-21  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge remote branch 'gnome/master'

2009-09-19  Jan Drábek <repli2dev@gmail.com>

	* po/cs.po:
	  Update Czech translation

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: paint beveled border between tracks

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: paint theme-compliant background

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: override expose event

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/common.py:
	  ui.common.py: increase track spacing

2009-09-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: zoom based on the playhead position

2009-09-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas.py: remove unecessary update request

2009-09-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ruler.py, timeline.py: elminate flicker during zooming
	  When the scroll adjustment changes, the canvas immediately scrolls its
	  internal gdk window, which is the source of the flicker while zooming.
	  Temporarily setting redraw_when_scrolling to true both suppresses this
	  behavior and triggers a complete redraw of the canvas, eliminating flicker.

2009-09-16  Karl Palsson <bugs@tweak.net.au>

	* pitivi/ui/encodingdialog.py:
	  Fixes bug blah, the filename display with non ascii chars

2009-09-16  Karl Palsson <bugs@tweak.net.au>

	* po/en_GB.po:
	  make it explicit that we're talking about YOUR version being out of date

2009-09-16  Karl Palsson <bugs@tweak.net.au>

	* pitivi/ui/sourcelist.py:
	  bind the delete key to removing a file from the source list

2009-09-16  Timo Jyrinki <timo.jyrinki@iki.fi>

	* po/fi.po:
	  Update Finnish translation.

2009-09-15  Claude Paroz <claude@2xlibre.net>

	* po/fr.po:
	  Updated French translation

2009-09-14  Aleksander Łukasiewicz <aleksander@lukasiewicz.org>

	* po/LINGUAS:
	* po/pl.po:
	  Updated Polish translation

2009-09-14  Alexandre Prokoudine <alexandre.prokoudine@gmail.com>

	* po/ru.po:
	  Russian translation updated by Valery V. Inozemtsev

2009-09-13  Philip Withnall <philip@tecnocode.co.uk>

	* po/en_GB.po:
	  Updated British English translation

2009-09-13  Jesse Avilés <jesseaviles@gmail.com>

	* po/es.po:
	  Updated Spanish translation

2009-09-13  Jesse Avilés <jesseaviles@gmail.com>

	* po/es.po:
	  Updated Spanish translation

2009-09-12  Gianvito Cavasoli <gianvito@dmx.it>

	* po/it.po:
	  Updated Italian translation

2009-09-12  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  0.13.3 release "... we shall never (sur)render"

2009-09-12  Edward Hervey <bilboed@bilboed.com>

	* docs/bugzilla:
	  docs: Add a tool for getting list of bugs fixed for releases.
	  Adapted from the script in gstreamer's www module

2009-09-12  Edward Hervey <bilboed@bilboed.com>

	* tests/test_projectmanager.py:
	  test_projectmanager: Increase sleep to 1s to make test reliable.
	  On some (file)systems, mtime is returned as multiples of seconds :(

2009-09-12  Edward Hervey <bilboed@bilboed.com>

	* tests/Makefile.am:
	  tests: Clean up more remnants of test files

2009-09-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	  Fix stepping by frame with left and right arrows.

2009-09-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/pipeline.py:
	  Add some debugging of state changes.

2009-09-10  Alessandro Decina <alessandro.d@gmail.com>

	* icons/scalable/Makefile.am:
	  Don't install a 48x48 png as a scalable icon. HEH.

2009-09-10  Alessandro Decina <alessandro.d@gmail.com>

	* configure.ac:
	* icons/Makefile.am:
	* icons/scalable/Makefile.am:
	* icons/scalable/pitivi.svg:
	* pitivi.desktop.in:
	  Install a scalable icon.

2009-09-10  Alessandro Decina <alessandro.d@gmail.com>

	* .gitignore:
	  Add .*.swo to .gitignore

2009-09-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/ruler.py:
	  ruler: make draw* functions toplevel methods.
	  drawTick drawTicks drawTimes drawFrameBoundaries and drawPosition were nested
	  functions. This change makes them toplevel methods since they are in an hot path
	  (Ruler.drawRuler is called every time the zoom level changes).

2009-09-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/ruler.py:
	  ruler: don't sort self.scale, it's always kept sorted.

2009-09-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: take pixmap offset into account when drawing shaded area

2009-09-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow.py: simplify implementation of setBestZoomRatio

2009-03-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	* pitivi/ui/zoominterface.py:
	  zoominterface.py: use a cubic function to compute zoom level instead of discrete list

2009-09-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  timeline.py: previous changes allow making the ruler shorter

2009-09-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: fix rounding error in scale text

2009-09-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: set lowest scale ticks according to project framerate
	  ruler.py: set lowest scale values based on project frame rate

2009-09-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: tick spacing and subdivision insipired by gtk.Ruler

2009-09-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: draw times using gtk.Ruler method of determining scale/interval

2009-09-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: draw text next to ticks, rather than centered over them

2009-09-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: draw ticks from bottom up

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  timeline.py: set ruler framerate when project settings change

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: draw frame boundaries when zoom is high enough

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: context parameter to draw functions no longer needed

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: use pixmap routines for drawing instead of cairo routines

2009-09-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler.py: remove draw() function which isn't called from anywhere

2009-09-08  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.13.2.4 pre-release

2009-09-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/ui/encodingdialog.py:
	* pitivi/ui/exportsettingswidget.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/sourcelist.py:
	  Set the stock pitivi icon on dialogs that didn't have an icon.

2009-09-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Make the "unsaved changes" dialog less ugly.

2009-09-07  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: Depend on GNonLin 0.10.13

2009-09-06  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  encode: Speed up encoder/muxer lists:
	  This uses several tricks:
	  * A class to store the list of encoders/muxers (resetted if registry changes)
	  * That class sorts encoders/muxers faster
	  * Use cached values of muxer sink caps when lookign for compatible encoders

2009-09-06  Edward Hervey <bilboed@bilboed.com>

	* pitivi/utils.py:
	  utils: New profiling decorator
	  Use as such:
	  @profile
	  def my_function_or_method(blah):
	  ....

2009-09-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: set scroll position when zoom changes closes bug 591617

2009-09-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_projectmanager.py:
	  test_projectmanager.py: test save and load with regression test for 594396

2009-09-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/base.py:
	  formatters.base.py: always set project name and uri after saving. closes bug 594396

2009-09-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/plumber.py:
	* pitivi/ui/viewer.py:
	  If the sink has a double-buffer property set that to False.

2009-09-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/action.py:
	* pitivi/application.py:
	* pitivi/plumber.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/viewer.py:
	  Make setting the XID on the videosink threadsafe.
	  Fix some DRY violations in the process.

2009-09-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/ruler.py:
	  Fix a traceback seeking in an empty timeline. Fixes #594311.

2009-09-07  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MainWindow: Release gdk lock when running MissingURI dialog.

2009-07-20  Michael Terry <michael.terry@canonical.com>

	* Makefile.am:
	* icons/Makefile.am:
	* pitivi.png:
	* pitivi.spec.in:
	  Remove duplicate icon file
	  http://bugzilla.gnome.org/show_bug.cgi?id=520653

2009-07-20  Michael Terry <michael.terry@canonical.com>

	* Makefile.am:
	* configure.ac:
	* pitivi.desktop.in.in:
	* pitivi.spec.in:
	* pitivi/ui/mainwindow.py:
	* po/POTFILES.in:
	  Update desktop file, use icon theme
	  http://bugzilla.gnome.org/show_bug.cgi?id=520653

2009-09-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  SourecFactory: Don't remove the volume elements when a pad goes away. Fixes #594114
	  We only need to remove those elements when the bin is released, there's code that
	  takes care of that already.

2009-09-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MainWindow: Fix algorithm for finding best zoom ratio.
	  Zoomable.getCurrentZoomLevel is an index in the zoom_levels table and not
	  the actual zoom ratio.

2009-09-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	* pitivi/ui/viewer.py:
	  application/viewer: Use GDK lock when getting/settings XID.
	  so yes... not only do you need to use gobject.threads_init(), but also
	  gtk.gdk.threads_init() and gtk.gdk.threads_{enter|leave}.
	  pyg* devs hate multi-threaded app developers it seems... or are scared of them.

2009-09-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  viewer: set_size_request() takes integers.
	  Removes a stupid little warning

2009-09-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/utils.py:
	  CachedFactoryList: We sort factories by reverse order of rank. Fixes #594181
	  Also add some debugging.

2009-09-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/singledecodebin.py:
	* pitivi/utils.py:
	  Fix the factory cache in singledecodebin.

2009-09-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/viewer.py:
	  Force the play button to be visible, regardless of the gtk-button-images setting.

2009-09-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/singledecodebin.py:
	  Avoid an iterator Resync exception in singledecodebin.

2009-09-04  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/singledecodebin.py:
	  SingleDecodeBin: Cache globally the list of usable gst.ElementFactory
	  Otherwise this list gets recomputed/stored for every single instance of
	  singledecodebin used in the pitivi.
	  This is a speed and memory optimization.

2009-09-03  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/singledecodebin.py:
	  SingleDecodeBin: Set the uri source block size to 512kbytes.
	  This will only affect sources used in push-based mode, like when used in combination
	  with jpegdec. This speeds up considerably decoding/usage of jpeg images.

2009-09-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	  Take into account the horizontal adjustment position when dropping clips on the timeline.

2009-09-02  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_timeline.py:
	  Remove dead code from tests.test_timelin

2009-09-02  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.13.2.3 pre-release

2009-09-02  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: Depend on latest gnonlin. Fixes #590203

2009-09-02  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	  Add some padding at the end of the timeline. Fixes #576576.

2009-09-02  Claude Paroz <claude@2xlibre.net>

	* pitivi/check.py:
	  Fix some strings not marked for translation in  check.py. Fixes #590440.

2009-09-02  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/viewer.py:
	  Force a minimum size on the viewer only when running at resolution >= Xx800

2009-08-30  Jorge González <jorgegonz@svn.gnome.org>

	* po/es.po:
	  Updated Spanish translation

2009-08-29  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.13.2.2 pre-release

2009-08-29  Edward Hervey <bilboed@bilboed.com>

	* po/POTFILES.in:
	  po:Add pitivi.ui.common to translatable files.

2009-08-29  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: Depend on latest gnonlin for race condition fix.

2009-08-27  Alessandro Decina <alessandro.d@gmail.com>

	* tests/common.py:
	  Add an env variable to turn off reference leaks.

2009-08-27  Alessandro Decina <alessandro.d@gmail.com>

	* tests/common.py:
	  Performance fix in common.TestCase which makes running all the tests 30 seconds faster.

2009-08-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/base.py:
	  Remove an unicode (\xc2) blank from a comment.

2009-08-26  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/base.py:
	  SourceFactory: make sure audio elements reach the right state before dataflow starts. Finally fixes #590114.

2009-08-25  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/singledecodebin.py:
	  Drop TAG events in singledecodebin if they arrive before a NEWSEGMENT.

2009-08-24  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/zoominterface.py:
	  Find an optimum zoom level when loading a project. Fixes #590153.

2009-08-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/viewer.py:
	  Constrain the viewer to a decent minimum size (where decent == good looking).

2009-08-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Remove geometry hints and let the natural size be the minimum size.

2009-08-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/etree.py:
	  Update factory.filename to point to the new filename when a file is moved.

2009-08-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	  Fix loading of utf8 encoded source filenames.

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_projectmanager.py:
	  test_projectmanager.py: fix test cases

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  ui.mainwindow.py: show metadata in missing uri dialog
	  fixes bug 583243 (except for thumbnail)

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/projectmanager.py:
	* pitivi/ui/mainwindow.py:
	  ui.mainwindow.py, projectmanager.py: pass factory in missing-uri signal

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/common.py:
	* pitivi/ui/sourcelist.py:
	  ui.sourcelist.py, ui.common.py: move beautify_* functions to ui.common.py

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/base.py:
	* pitivi/formatters/etree.py:
	* pitivi/projectmanager.py:
	  formatters, projectmanager.py: pass instance of factory in missing-uri signal

2009-08-20  Daniel Nylander <po@danielnylander.se>

	* po/sv.po:
	  Updated Swedish translation

2009-08-20  Antón Méixome <meixome@mancomun.org>

	* po/gl.po:
	  Updated Galician Translation

2009-08-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/viewer.py:
	  Don't display the duration of the current pipeline in the viewer.
	  The viewer used to display a "position / duration" label. This change removes
	  the duration part, thus halving the horizontal space required for the viewer
	  controls.
	  The duration is still displayed in the sourcelist when playing a clip and in
	  the ruler when working with the timeline.

2009-08-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/projecttabs.py:
	  Remove padding from ProjectTabs.

2009-08-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/viewer.py:
	  Remove border and spacing from the viewer.
	  Die dead space die!

2009-08-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/sourcelist.py:
	  Remove border and spacing in the sourcelist.

2009-08-18  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/file.py:
	  limit maximum volume amplification to 200% of original closes bug 589820

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: also set focus keyframe on enter events keyframes should now be much easier to manipulate which should close bug 591571

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  focus the new keyframe after adding a keyframe via double-clicking

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: find focused keyframe during hover events, use this keyframe when dragging begins

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: draw focused keyframe in inverted colors

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: unset focused keyframe if this keyframe is removed

2009-08-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: make keyframes slightly larger mouse targets

2009-08-18  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  controller.py: don't call enter during drag either

2009-08-18  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  controller.py: add hover() method

2009-08-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/projecttabs.py:
	  ProjectTabs tweaks.
	  Make tabs expand. Set the window title on detached tabs.

2009-08-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/projecttabs.py:
	  Replace our custom detachable tabs with regular gtk (detachable) tabs.
	  Gtk now supports detachable tabs so we can remove our custom code. This makes us
	  look more consistent with other apps like empathy epiphany etc that have the
	  same functionality.

2009-08-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Show the project name in the window title. Fixes #575975.

2009-08-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	  Fix a traceback loading a project with no sources.

2009-08-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/base.py:
	  Set the project name from the project filename.

2009-08-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/singledecodebin.py:
	* pitivi/ui/timeline.py:
	  Use Seeker to compress seek events generated with the Left and Right keys.

2009-08-17  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-08-17  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: and back to development we go...

2009-08-17  Hendrik Richter <hendrikr@gnome.org>

	* po/de.po:
	  Updated German translation.

2009-08-17  Hendrik Richter <hendrikr@gnome.org>

	* po/de.po:
	  Fix #589908

2009-08-17  Petr Kovar <pknbe@volny.cz>

	* po/LINGUAS:
	* po/cs.po:
	  Added Czech translation by Jan Drabek
	  Reviewed by: Petr Kovar.

2009-08-14  Jorge González <jorgegonz@svn.gnome.org>

	* po/es.po:
	  Updated Spanish translation

2009-08-13  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Release 0.13.2 "Jailbreak (out of deadlock city)"

2009-08-13  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/singledecodebin.py:
	  Workaround a bug in gst.Pad.set_blocked_async that causes a segfault.
	  pad_block_destroy_data used to call CPython without acquiring the GIL. This is
	  now fixed in gst-python git, but we add this workaround so that we don't have to
	  bump the dependency.

2009-08-12  Gil Forcada <gforcada@gnome.org>

	* po/ca.po:
	  Updated Catalan translation

2009-08-12  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_factories_file.py:
	  Fix tests/test_factories_file.py

2009-08-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	  When ghosting pads with negotiaged caps, set the caps to the ghosts.

2009-08-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/singledecodebin.py:
	  Try to expose singledecodebin pads when they get fixed caps.

2009-08-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/imagefreeze.py:
	  Avoid an exception in imagefreeze if the incoming caps don't have a framerate.

2009-08-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/file.py:
	  Remove insanity from PictureFileSource._makeDefaultBin.
	  Fixes a not-linked error dragging pictures from the sourcelist onto the viewer.

2009-08-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/projectsettings.glade:
	* pitivi/ui/projectsettings.py:
	  ProjectSettings: Manually create/add Widget. Fixes #591149
	  The problem was introduced by commit d957370, which required an extra
	  __init__ argument to ExportSettingsWidget... which glade didn't have.

2009-08-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Maximize the main window by default. Fixes #589784.

2009-08-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Make the HPaned resize by default in the main window.
	  Make it so that when you maximize the window, extra space is allocated for
	  the sourcelist and the viewer.

2009-08-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/audioclipper.py:
	  AudioClipper: Forward buffers that have no timestamp.
	  This avoids having excptions being raised when non-timestamped buffers
	  come through.

2009-08-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/pipeline.py:
	  Remove an unicode blank from a comment. Oops.

2009-08-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/timeline.py:
	* pitivi/pipeline.py:
	  Do linking decisions based on negotiated caps when possible.

2009-08-05  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.13.1.3 pre-release

2009-08-05  Alessandro Decina <alessandro.d@gmail.com>

	* configure.ac:
	  Bump dependencies.
	  Depend on core & base 0.10.24 and gst-python 0.10.16.

2009-08-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/sourcelist.py:
	  Fix a traceback dragging source list items on the source list itself.

2009-08-04  Alessandro Decina <alessandro.d@gmail.com>

	* configure.ac:
	  Bump gnonlin dependency to 0.10.11.3.

2009-08-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/stream.py:
	  Make Stream.isCompatible check that stream classes are compatible as well.

2009-08-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/file.py:
	  Add a workaround for some deadlocks involving PictureFileSource and ghostpads.

2009-08-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow.py: handle state-changed signal from project pipeline fixes bug 582327

2009-08-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: only set scroll position when state == gst.STATE playing

2009-08-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: add method setState() which records pipeline state

2009-08-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	* pitivi/ui/curve.py:
	  track.py, curve.py: when creating keyframes, calculate value so that it lies on the existing curve. fixes bug 589815

2009-08-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: only move the current segment when user clicks and drags on a curve fixes bug 589813

2009-08-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: set cursor to hand shape when hovering over interpolation curve fixes bug 589812

2009-08-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/imagefreeze.py:
	  Don't call caps.make_writable() in imagefreeze.
	  make_writable() should never be called from python since it breaks refcounting.

2009-08-03  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-08-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/exportsettingswidget.py:
	  exportsettingswidget.py: remember window size closes bug 579237
	  This commit is a little complicated because the glade dialogs seemed to be
	  ignoring set_default_size. We connect to map event and use that to install
	  an idle handler which actually sets the dialog size. This seems to be the only
	  reliable way to set the size of this dialog.
	  The idle handler also connects to the configure event -- we don't want to do this
	  any earlier or the saved dialog size will be overwritten before the dialog is
	  shown.

2009-08-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/encodingdialog.py:
	* pitivi/ui/exportsettingswidget.py:
	  encodingdialog.py, exportesttingswidget.py: pass application instance in constructor

2009-07-31  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow.py: add config file entries for element settings widget squash into mainwindow commit

2009-08-01  Claude Paroz <claude@2xlibre.net>

	* po/fr.po:
	  Updated French translation

2009-07-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: implementation of ripple trimming of clips closes bug 589715

2009-07-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_timeline.py:
	  test_timeline.py: check in test cases for ripple trims

2009-07-31  António Lima <amrlima@gmail.com>

	* po/pt.po:
	  Updated Portuguese translation

2009-07-31  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/gap.py:
	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/utils.py:
	* tests/test_timeline.py:
	  Fix some overlap checks.
	  This commit makes Timeline.get(Next|Prev)TimelineObject aware of tracks, fixing
	  overlap checks editing objects having the same priority but different track.

2009-07-31  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	  Add the -d command line option to start a post mortem pdb on uncaught exceptions.

2009-07-30  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/Makefile.am:
	* pitivi/elements/audioclipper.py:
	* pitivi/elements/mixer.py:
	  elements: Use audio-clipping probe before adder.
	  This ensures that we're not sending too much data to adder which would
	  result in weird 'clipping' sound.
	  THIS IS A HACK ! It should be fixed in adder (see #590265)

2009-07-30  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/timelinecontrols.py:
	* pitivi/ui/track.py:
	  Make the timeline canvas request enough space to show two single-layer tracks.

2009-07-30  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: We require pygtk >= 2.14. Fixes #590195

2009-07-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  Set pngenc in snapshot mode inside discoverer.

2009-07-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Avoid collapses when trimming. Fixes #589694.

2009-07-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Save windows settings when closed from a delete-event. Fixes #580680.

2009-07-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timelinecontrols.py:
	  Set the alignment of timeline controls.

2009-07-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecontrols.py:
	  Make TrackControls be a Label and not an Expander.
	  We made the expander unsensitive in the last release since expanding/collapsing
	  didn't look that good. Now i'm removing the expander altogether.

2009-07-29  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow.py: increase size of missing file dialog.
	  closes bug 583241

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: take curve line width into account when calculating the XY position keyframes.
	  fixes bug 589689

2009-07-28  Per Kongstad <p_kongstad@op.pl>

	* po/da.po:
	  Updated Danish translation

2009-07-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: pass along interpolator property overrides when given fixes bug 589820 by allowing volume to be set from 0 - 5. Up to a factor 10 is possible with the volume element, but this makes the scale unusably small with the current clip height.

2009-07-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/file.py:
	* pitivi/factories/test.py:
	  test.py, base.py: keys in interpolated property dict now represent min/max value overrides. override volume property max

2009-07-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: scale keyframe values using lower and range properties

2009-07-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: interpolator now has public lower, upper, and range properties

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  controller.py: don't change cursor back to arrow while dragging to avoid jitter. Set the cursor as appropriate when the drag ends.

2009-07-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  ui.sourcelist.py: add a column containing the escaped, unquoted factory base name and use this as the search_column. fixes bug 579237

2009-07-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/timeline.py:
	  Use MoveContext when dragging clips from the sourcelist to the timeline. Fixes #589695.

2009-07-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Fix clip selection and grouping. Fixes #589803.

2009-07-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/sourcelist.py:
	  Fix double clicking in the source list. Fixes #589807.
	  Double clicking was broken in 6f623e01, which fixed #572327. Hopefully I didn't
	  break it again.

2009-07-27  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-07-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/mainwindow.xml:
	  Add Undo and Redo buttons to the toolbar. Fixes #588258.

2009-07-26  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Don't allow clip start times to go < 0.

2009-07-26  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Use an alternate, less annoying approach to avoid clip overlaps.

2009-07-24  Daniel Nylander <po@danielnylander.se>

	* po/sv.po:
	  Updated Swedish translation

2009-07-24  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.13.1.2 pre-release

2009-07-24  Edward Hervey <bilboed@bilboed.com>

	* tests/test_gap.py:
	  test_gap: Fix import (else it doesn't work with make distcheck)

2009-07-16  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject: fix clip backround size closes bug 577451 also fixes another bug in which the trackobject name background rect was not properly clipped to the size of the trackobject

2009-07-23  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: prevent timeline controlls from claiming too much height by requesting exactly one pixel of height
	  closes bug 589513

2009-07-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Make MoveContext avoid clip overlaps.

2009-07-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/Makefile.am:
	* pitivi/timeline/gap.py:
	* tests/Makefile.am:
	* tests/test_gap.py:
	  Add code to represent and find gaps between timeline objects.

2009-07-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Keep TimelineObjects sorted by start time in the Timeline.
	  Do the same as for Track, so that we can implement fast enough
	  Timeline.getPreviousTimelineObject and Timeline.getNextTimelineObject.

2009-07-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	* pitivi/utils.py:
	* tests/test_track.py:
	  Keep TrackObjects sorted by start time inside Track.
	  Keep TrackObjects sorted by start inside Track so that we can implement decently
	  fast getPreviousTrackObject and getNextTrackObject.

2009-07-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/sourcelist.py:
	  UI: set is_important property of Save, Import, Render, and Undo actions closes bug 575963

2009-07-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  SourceFactory: Synchronize the state of newly added elements with parent.

2009-07-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/mixer.py:
	  SmartAdderBin: Reorganize request pad removal to avoid errors.
	  There is a corner case by which the streaming thread will currently
	  be doing caps negotiation downstream (which is not aborted by the
	  flush start/stop events that went through from gnonlin).
	  In order to avoid the streaming thread from returning with GST_FLOW_NOT_LINKED
	  once it has finished its business downstream, we deactivate the source pad
	  of audioresample so that the streaming thread will return GST_FLOW_WRONG_STATE.

2009-07-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/timeline.py:
	  TimelineFactory: Guarantee a unique pad name
	  Due to this code being called from two different threads, we need a better
	  way to guarantee a unique pad name. Taking the python id of the pad (which will
	  be unique) is a simple and effective way.

2009-07-19  Jesse Aviles <jesseaviles@gmail.com>

	* po/es.po:
	  Updated Spanish translation

2009-07-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  SourceFactory: Also add an audioresample before volume.
	  This ensures we can handle any kind of audio.

2009-07-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  timeline.Track: Fill in GnlSource before putting it in a GnlComposition.
	  This avoids a race-condition where the GnlSource wouldn't be ready before the
	  moment GnlComposition tries to use it.

2009-07-15  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-07-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_timeline.py:
	  test_timeline.py: add a couple regression tests

2009-07-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: fix ripple span calculation when there is nothign to ripple

2009-07-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject: only set context mode during a key_press when context is not None

2009-07-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: fix clamping of position in MoveContext._rippleTo

2009-07-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: only ripple clips whose start > latest clip in the context

2009-07-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: add getObjs{Before,After} time methods

2009-07-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: fix calculation of span

2009-07-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: don't move clips on mode change if we haven't already made an edit

2009-07-09  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_timeline.py:
	  test_timeline.py: test MoveContext ripple mode

2009-07-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: handle edge snapping directly in roll modes of trim contexts

2009-07-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: handle edge snapping directly in MoveContext

2009-07-13  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  eliminate editFocus method of trimming contexts

2009-07-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: implement ripple mode for moving clips

2009-07-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject.py: use controller modifer state to determine context mode; set context mode after keyboard events

2009-07-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  ui.controller.py: also set modifier state appropriately after keyboard events

2009-07-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  ui.controller.py: connect to and handle key_{press,release}_event signals

2009-07-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  ui.controller.py: remember state of modifier keys when we receive an event

2009-07-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject.py: activate roll mode when shift is held down during drag

2009-07-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: buggy first stab at roll editing

2009-07-14  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-07-14  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Make Timeline.getSourceFactoryStreamMap a private method.

2009-07-14  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Fix a bug in timeline edges that I added in c585ee

2009-07-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_timeline.py:
	  test_timeline.py: add test case for removeFactory()

2009-07-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/project.py:
	  project.py: call removeFactory() from _sourceRemovedCb fixes 582351

2009-07-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: add removeFactory method which removes all instances of a given factory

2009-07-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/project.py:
	  project.py: connect to SourceList source-removed signal

2009-07-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline.py: set object priority while dragging temporary clips
	  fixes bug 576575

2009-07-13  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Fix removal of timeline edges when updates are disabled.

2009-07-13  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Fix an exception tracking edges of a newly dragged clip.

2009-07-13  Edward Hervey <bilboed@bilboed.com>

	* po/POTFILES.in:
	  POTFILES: Add missing file

2009-07-13  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-07-12  António Lima <amrlima@gmail.com>

	* po/pt.po:
	  Updated Portuguese translation

2009-07-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/trackobject.py:
	  Remove redefinition of drag_end

2009-07-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Fix moving multiple objects when the focus is not the earliest object.

2009-07-10  Jan Gerber <j@bootlab.org>

	* pitivi/discoverer.py:
	  tempfiles: Use a /tmp subdirectory for temporary files.

2009-07-10  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_timeline.py:
	  Fix tests for editing contexts.

2009-07-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Remove 4 unnecessary loops over the same sequence in MoveContext.

2009-07-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/trackobject.py:
	* tests/test_timeline.py:
	  Add back addStartEnd and removeStartEnd to timeline edges.
	  I added addStartEnd and removeStartEnd back. In the process, i fixed
	  removeStartEnd so that now calling rebuildEdges isn't needed anymore.
	  Finally i restored the tests removed in b8d13554440b24237d14b9f29de4b8eedf146dfa.

2009-07-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject.py: fix some rebasing mistakes

2009-07-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject.py: select track object on mouse down if it is not currently selected

2009-07-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: clamp values properly in editing context

2009-07-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject.py: use editing context interface

2009-05-30  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/trackobject.py:
	* pitivi/ui/zoominterface.py:
	  ui: expose rage and hatred at gst.CLOCK_TIME_NONE

2009-07-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  timeline.py: test_timeline.py: exercise the primary methods of each context, and make sure that they at least don't raise an exception

2009-07-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  timeline.py, test_timeline.py: major refactor of EditingContext code
	  The previous monolithic context was proving to be too unwieldy and difficult
	  to implement. Moreover, there were some performance problems related to all
	  the intialization. Finally, mode switching was akward with the old design.
	  This commit refactors InteractiveEditingContext into EditingContext and
	  several subclasses which implement the different operations of moving, triming
	  the start point, and trimming the end point. Also adding new test case to test
	  implementation.

2009-05-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  test_timeline: add test cases for adjacency functions

2009-05-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  fix timelineedges unit tests

2009-04-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timelineedges: add methods to get lists of incident objects

2009-04-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timelineedges: keep track of which track objects are associated with particular edges

2009-04-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  ui.timelineedges: handle case where not all track objects in a timelineobj have same start/end

2009-04-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  ui.timelineedges: only allow one instance of the same time in the list of edges

2009-07-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Fix trimStart to take into account the in_point.

2009-07-08  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-07-07  Daniel Nylander <po@danielnylander.se>

	* po/sv.po:
	  Updated Swedish translation

2009-07-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Add a comment explaining why TimelineEdges does what it does.

2009-07-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Put back bits of 12b1a30974f081ed034910e98990480c1546a26c that i accidentally reverted in 477d039fbb05f5aeb4a21582be8ce7d23d835623. Oops.

2009-07-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Fix splitting objects, which was broken in 9122088baac0e760567c3c931c9ed6580c852a85.

2009-07-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Revert "timeline.py: fix TimelineObject.split() which was broken by commit"
	  This reverts commit 0599fd6ea6db60f0277047787bd1512d6946b7da.

2009-07-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: fix TimelineObject.split() which was broken by commit 9122088baac0e760567c3c931c9ed6580c852a85
	  The problem is that the track objects created by TimelineObjectcopy() were not properly
	  removed from the timeline. Now instead of calling trackObject.split() for each
	  track object, we simply call setDuration() and trimStart on the timeline
	  object copies.

2009-07-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.py: TimelineObject.copy() now adds timeline objects to the copy with addTimlineObject(). This ensures that the timeline field is properly set and that track-object-added is emitted.
	  git add -i FTW

2009-07-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline_undo.py:
	  timeline_undo.py: don't forget to connect to existing track objects in _connectToTimelineObject

2009-07-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline_undo.py:
	  timeline_undo.py: fix a typo in _disconnectFromTrackObject

2009-07-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline_undo.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/curve.py:
	* pitivi/ui/trackobject.py:
	  Add undo/redo support for keyframes.

2009-07-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/controller.py:
	* pitivi/ui/curve.py:
	* pitivi/ui/trackobject.py:
	  Pass event args to drag_start and drag_end.

2009-07-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Add track-object-added and track-object-removed signals to TimelineObject.

2009-07-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/curve.py:
	* tests/test_etree_formatter.py:
	* tests/test_track.py:
	  Rename newKeyFrame/removeKeyFrame to newKeyframe and removeKeyframe.

2009-07-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	* pitivi/timeline/timeline.py:
	* pitivi/timeline/timeline_undo.py:
	* pitivi/timeline/track.py:
	* tests/test_etree_formatter.py:
	* tests/test_timeline_undo.py:
	* tests/test_track.py:
	  Make TrackObjects reusable once they have been removed from a Track.
	  This change makes TrackObjects reusable by decoupling construction and
	  initialization. Now you can call makeBin() and releaseBin() in pairs on the same
	  object to create/destroy bins keeping the same track object instance (with the
	  associated data, eg keyframes).
	  With this change, bins are now created when objects are added to a Track
	  (Track.addTrackObject) and destroyed when removed from a track
	  (Track.removeTrackObject)
	  The first visible benefit of this change is that it simplifies TimelineObject
	  do/undo operations a lot.

2009-07-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/trackobject.py:
	* tests/test_etree_formatter.py:
	  Refactor interpolator code slightly.
	  Make track_object.interpolators a dictionary of the form property_name ->
	  (property, interpolator) so that we can lookup interpolators by property_name
	  without having to iterate all the keys every time.
	  Make it possible to rebuild interpolators when the content of a track_object's
	  bin changes.  This commit is part of a larger change to make interpolator operations undoable.

2009-07-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  track.py: remove obsolete FIXME/TODO comments and clarify the remaining ones

2009-06-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve.py: take in_point into account in xyToTimeValue

2009-06-26  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_track.py:
	  tests/test_track.py: check that keyframe curves are preserved when splitting in testSplitObject

2009-06-26  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  track: duplicate keyframe curves in trackobject.copy(), which in turn means that splitting clips properly preserves keyframes

2009-06-25  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_etree_formatter.py:
	  checkpoint: keyframe curves are now handled in etree formatter.
	  test_etree_formatter: update test{Save,Load}TrackObject to handle keyframe curves when present

2009-06-25  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/etree.py:
	  etree: use the correct type for value when saving and loading keyframes

2009-06-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/test.py:
	  AudioTestSourceFactory: return volume in list of interpolated properties

2009-06-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  timeline.track: add Interpolator.getInteriorKeyframes(), and TrackObject.getInterpolator() methods

2009-06-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/etree.py:
	  etree: fix some typos in keyframe serialization code

2009-06-24  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  Interpolator: check keyword arguments against None, not falsehood

2009-06-23  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/etree.py:
	  etree: add support for keyframe curves

2009-06-30  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/curve.py:
	  Fix keyframe removal. Fixes #587333.

2009-06-30  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/settings.py:
	  Fix crash if $HOME/.local/share doesn't exist. Fixes #587371.

2009-06-30  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	  Make the -i option work when -a isn't specified. Fixes #587377.

2009-06-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  timelinecanvas: make sure razor actually splits at playhead position when razor is snapped to the playhead

2009-06-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	  Fix a couple of copy and paste screwups in timeline/track.py.

2009-06-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/trackobject.py:
	  Make dragging a single item select it first.
	  This makes dragging more intuitive, at least to me.

2009-06-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/controller.py:
	  Emit drag_start/drag_end only when an object is actually moved.

2009-06-29  Jan Gerber <j@bootlab.org>

	* pitivi/formatters/format.py:
	* pitivi/formatters/playlist.py:
	  Fix .pls/.m3u formatters. Fixes #584899.

2009-06-29  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	  Make importing clips from the command line with -i -a undoable (just for the sake of it).

2009-06-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/singledecodebin.py:
	  SingleDecodeBin: Don't deactivate elements from a streaming thread.
	  This cause many issues like elements being unreffed before they were set
	  to gst.STATE_NULL.
	  Funnily enough... it also seems to make loading the timeline faster.

2009-06-26  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/operation.py:
	  Always add SmartScale to the rendering pipeline.
	  This is needed to make DV rendering work, since the ffmpeg dv muxer accepts only some specific resolutions.

2009-06-26  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/sourcelist_undo.py:
	* pitivi/ui/sourcelist.py:
	  Fix removal of clips from the sourcelist.

2009-06-26  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Fix sensitiveness of the Render button.

2009-06-26  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	* pitivi/settings.py:
	* pitivi/ui/encodingdialog.py:
	  Fix the encoding dialog a bit more. The code needs major love though.

2009-06-26  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	* pitivi/settings.py:
	* pitivi/ui/encodingdialog.py:
	  Fix the etree formatter, settings and encoding dialog when working with raw streams.

2009-06-24  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/Makefile.am:
	  Dist pitivi/sourcelist_undo.py

2009-06-24  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/elements/arraysink.py:
	  Remove an hopefully unneeded slice from ArraySink.

2009-06-24  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Replace catch-all try/except: statement, trap the expected exception.

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	  Discoverer: unbreak to accept any kind of raw video

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  mainwindow: Other fix for change in SourceList API

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* tests/test_discoverer.py:
	  tests/test_discoverer: Really simulate a picture source.

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  pipeline: Add a debugging statement to know when seeking failed

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/mixer.py:
	  mixer: add debugging

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/sourcelist.py:
	  ui.sourcelist: Fix for changes in sourcelist API

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	  Discoverer: fix Picture detection. If we get a duration it's not a static picture.

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* tests/test_track.py:
	  test_track: Fix for latest change

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  TrackObject: Fix typo

2009-06-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/utils.py:
	  utils: Clean up the probe event handler

2009-06-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  TrackObject: Don't set unchanged properties on gstreamer objects.
	  Basically it's a bug at the GObject level. If you set a property to the
	  same value it was previously set to... the 'notify' signal will be
	  emitted...
	  ... and since several things (like gnlcomposition and the timeline ui)
	  are listening to those notify expecting changes we were just wasting
	  cpu time for nothing.

2009-06-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  URISourceFactoryMixin: Insert audioconvert before volume element.
	  This fixes the cases where the raw audio stream is unsigned which volume
	  can't handle.

2009-06-14  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: Update requirements for gnonlin/gstreamer
	  We need latest gnonlin git for gnlcomposition/gnloperation fixes.
	  We need latest -base for adder fixes.

2009-06-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  track: whooops, actually set the proper time :)

2009-06-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  SourceFactoryObject: add some debugging statements

2009-06-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  timeline.track: Fix gst.Controller usage some more.
	  The problem was that we were trying to set keyframes... before they had any
	  useful content.

2009-06-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	* tests/test_etree_formatter.py:
	  timeline.track: Actually use the gst.Controller

2009-06-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  TrackObject: add logging capability

2009-06-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	  timeline.track: Add a comment about factories and timeline objects

2009-06-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/utils.py:
	  utils: Add a method to get the controllable properties of a GstObject
	  Will recursively go down into the childs.

2009-06-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  Curve: invert scale on the y-axis so that up is higher

2009-06-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  Curve: make the curve easier mouse traget by increasing line width

2009-06-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  Curve: make keyframes a little smaller

2009-06-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  Curve: use constants for keyframe width / height

2009-06-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  Curve: add bounds to x, y coordinates before checking if they are in the path

2009-06-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  Curve: treat start of stream as left edge of clip

2009-05-30  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/Makefile.am:
	  pitivi.ui: Dist curve.py

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve: fix time, value <-> x, y functions

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve: fix getKeyframeXY

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  interpolator: doubleclick adds/removes keyframes, click-and drag moves keyframes, fix drawing

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  interpolator: fix removeKeyframe

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  interpolator: getKeyframes yields star, end as well

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  interpolator: clamp keyframe values between lower and upper. don't do clamping in UI

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve: handle click-and-drag on keyframes

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve: draw keyframes directly

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve: curve is now a view, with its own controller

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  keyframe: handle comparison with None more gracefully, interpolator: use setObjectTime on start/end keyframes

2009-05-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/receiver.py:
	  reciever: use is to compare with None, using != throws exception in some cases

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  ui.curve: draw keyframes as boxes

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  curve: complete redraw when curve changes

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  interpolator: add keyframe-moved signal

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject: add a curve for each interpolator

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  interpolator: make start, end public

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/curve.py:
	  ui.curve: check in curve canvas item module

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  fix typos in interpolator / keyframe

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/file.py:
	* pitivi/timeline/track.py:
	  fix typos in factories

2009-05-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  trackobject: finish api, add comments, disable actual controller code

2009-05-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  trackobject: base implementation of interpolators and keyframes

2009-05-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	  factories: add methods to get list of interpolated properties from factories based on stream

2009-06-24  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-06-24  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/previewer.py:
	  Remove an avoidable loop plotting waveforms. Micro optimization that removes ~30ms to each _plotWaveform call.

2009-06-24  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Connect to the delete-event so we can stop pitivi from closing if there are unsaved changes.

2009-06-24  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/sourcelist_undo.py:
	  git add pitivi/sourcelist_undo.py

2009-06-22  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-06-21  Jesse Avilés <jesseaviles@gmail.com>

	* po/es.po:
	  Updated Spanish translation Signed-off-by: Jorge Gonzalez <jorgegonz@svn.gnome.org>
	  Author:    Jesse Avilés <jesseaviles@gmail.com>

2009-06-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/discoverer.py:
	* pitivi/formatters/etree.py:
	* pitivi/project.py:
	* pitivi/sourcelist.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	* tests/test_discoverer.py:
	* tests/test_etree_formatter.py:
	* tests/test_sourcelist.py:
	  Refactor pitivi.sourcelist. Tweak missing-plugin handling.
	  Refactor pitivi.sourcelist so that it removes the (broken) mapping methods and
	  emits saner signals (source-added, source-removed rather than file_added and
	  file_removed).
	  Also tweak missing-plugin handling in discoverer so that we can rediscover a
	  source more quickly after installing missing plugins.

2009-06-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/device.py:
	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	* pitivi/factories/test.py:
	* pitivi/factories/timeline.py:
	* pitivi/sourcelist.py:
	* tests/common.py:
	* tests/test_factories_base.py:
	* tests/test_factories_file.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Refactor source factories a bit.
	  This change makes SourceFactory derived factories have an URI. This simplifies
	  the code that deals with source factories, as it can assume factory.uri to be
	  always there.
	  It also removes ObjectFactory.displayname, changing it to ObjectFactory.name
	  (ObjectFactory.name was previously either unused or used to store an URI...).
	  I also removed some "Just In Case" code (try/except: and the like) from
	  PictureFileSourceFactory._releaseBin.

2009-06-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/sourcelist.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	  Fix a bug adding clips to the timeline introduced by 4215225a2f334c69bafeb846d26db2c97fbd7eb9.

2009-06-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/file.py:
	  Remove bogus FileSourceFactory._releaseBin.

2009-06-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/device.py:
	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	* pitivi/factories/timeline.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/webcam_managerdialog.py:
	* tests/test_factories_base.py:
	* tests/test_factories_file.py:
	  Remove ObjectFactory.displayname. YAGNI.

2009-06-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/device.py:
	  Ooops looks like i missed a __repr__.

2009-06-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/device.py:
	* pitivi/pipeline.py:
	* pitivi/settings.py:
	  Change a bunch of __repr__ to __str__.

2009-06-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	* pitivi/stream.py:
	  Add some debugging to the ETree formatter.

2009-06-15  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Sync sensitiveness of the render button when a project is loaded. Fixes #585794.

2009-06-15  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Set project.uri the first time we save a new project.

2009-06-13  Gianvito Cavasoli <gianvito@gmx.it>

	* po/it.po:
	  Update Italian translation

2009-06-12  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Fix the unsaved changes dialog to show Save As if we're closing a new project.

2009-06-12  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  More fixes to the unsaved changes dialog.

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Make the buttons spread horizontally in the unsaved changes dialog.

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Remove the separator from the unsaved changes dialog.

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Overwrite the project file when saving from the unsaved changes dialog.

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Make the unsaved changes dialog a bit prettier (make it match gedit's).

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/projectmanager.py:
	* pitivi/ui/mainwindow.py:
	* tests/test_projectmanager.py:
	  Show a dialog if a project is being closed and there are unsaved changes.

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	  Fix a bug in loading xptv files i introduced in 5796420d0da050d3cb268de35346132eee1dae7a.

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/format.py:
	* pitivi/projectmanager.py:
	* pitivi/ui/mainwindow.py:
	* tests/test_projectmanager.py:
	  Move saveProject to ProjectManager, implement the project-saved signal and hook that up with the action_log.

2009-06-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/undo.py:
	* tests/test_undo.py:
	  Add checkpoint() and dirty() to UndoableActionLog.
	  The methods can be used to save the current state of the log and check if it's
	  been modified.

2009-06-11  Edward Hervey <bilboed@bilboed.com>

	* tests/test_factories_file.py:
	  test_factories_file: Fix check due to my latest commits

2009-06-11  Edward Hervey <bilboed@bilboed.com>

	* tests/common.py:
	  tests/common: Be more verbose when we have a leak.

2009-06-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	  factories: Fix leak introduce by one of my previous commit

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/Makefile.am:
	* tests/Makefile.am:
	  dist *undo*py files.

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Make the Save button sensitive or insensitive based on context

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/sourcelist.py:
	  ui.sourcelist. Implement do/undo for the InsertEnd action

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/timeline_undo.py:
	* pitivi/utils.py:
	  Use the disable-updates signal to reduce the number of undo/redo actions.

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/timeline_undo.py:
	  Rename the object-added signal to timeline-object-added.

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_undo.py:
	  Add a check for undo() do() undo().

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_timeline_undo.py:
	  Add a check for doing/undoing timeline objects priority changes.

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/undo.py:
	  undo: clean the log when a project is closed.

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	* pitivi/undo.py:
	* tests/test_undo.py:
	  undo: remove some of the complexity by removing support for async actions.

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Add keyboard shortcuts for undo and redo.

2009-06-11  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline_undo.py:
	* tests/test_timeline_undo.py:
	  Add tests for undoing/redoing timeline actions. Fix redoing split.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline_undo.py:
	* pitivi/ui/timelinecanvas.py:
	  Add undo support for splitting object. Redo still broken.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/trackobject.py:
	  Add undo/redo support for trimming objects at end.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/trackobject.py:
	  Add undo/redo support for trimming clips at start.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline_undo.py:
	  Fix undo of deleted clips.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/timeline_undo.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	* pitivi/undo.py:
	  Add support to undo/redo deletion of clips.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	* pitivi/undo.py:
	  Show the names of the actions that can be undone/redone.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/trackobject.py:
	  Make moving a clip in the timeline undoable.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/mainwindow.xml:
	  Add Undo and Redo actions.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	  Add undo action log to Application.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/utils.py:
	  Make PropertyChangeTracker add signals to itself for the signals it's proxying.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/undo.py:
	  Ignore changes while we are redoing/undoing. Add can-undo can-redo signals.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Add object-added and object-removed signals to Timeline.

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/Makefile.am:
	  dist pitivi/timeline/timeline_undo.py

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline_undo.py:
	  git add pitivi/timeline/timeline_undo.py

2009-06-10  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/undo.py:
	* tests/test_undo.py:
	  Pass the name of the action group to UndoableActionLog.begin.

2009-06-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/utils.py:
	  Make PropertyChangeTracker reusable.

2009-06-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Remove unused import gst.

2009-06-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/undo.py:
	* tests/test_undo.py:
	  Add simple undo/redo system.

2009-06-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/mixer.py:
	* pitivi/factories/base.py:
	  mixer/factory: Several fixes for the smart mixer element.

2009-06-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Remove unused import from pitivi.timeline.timeline

2009-06-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/projectmanager.py:
	* tests/test_projectmanager.py:
	  Emit new-project-created in ProjectManager.newBlankProject.

2009-06-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	  Makefile.am: don't forget to dist new files

2009-06-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/Makefile.am:
	* pitivi/elements/mixer.py:
	* pitivi/factories/test.py:
	* pitivi/timeline/track.py:
	  Timeline: Add new smart audio mixing.
	  Currently it's using a fixed output caps, it should be changed to be the
	  audio caps from the project output audio settings.

2009-06-09  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-06-08  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-06-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/settings.py:
	  Really fix Signallable so that tests/test_signallable.py passes.

2009-06-08  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_signallable.py:
	  Enough! Fix tests.test_signallable which has been broken forever.

2009-06-08  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_etree_formatter.py:
	* tests/test_formatter.py:
	  Move tests/test_formatter.py to tests/test_etree_formatter.py.

2009-06-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	  Move the factory rediscovering bits in separate methods. Tests coming next.

2009-06-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/formatters/base.py:
	* pitivi/formatters/etree.py:
	* pitivi/project.py:
	* pitivi/projectmanager.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/sourcelist.py:
	* tests/test_basic.py:
	  Make project loading suck less by calling addFactory every time we rescan a factory.

2009-06-08  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/ui/sourcelist.py:
	  Call newBlankProject() only once the UI has been initialized.

2009-06-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/etree.py:
	* pitivi/projectmanager.py:
	* pitivi/ui/mainwindow.py:
	  Connect to ProjectManager signals from the main window.

2009-06-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	  Fix a NameError introduced in the previous commit.

2009-06-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/etree.py:
	* pitivi/formatters/playlist.py:
	* tests/test_projectmanager.py:
	  Reload factories when loading xptv projects.

2009-06-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/etree.py:
	* pitivi/formatters/playlist.py:
	* pitivi/projectmanager.py:
	* tests/test_projectmanager.py:
	  Rename Formatter._parse to Formatter._loadProject for consistency with Formatter._saveProject.
	  Also, remove the optional project argument from _loadProject (it was unused).

2009-06-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/projectmanager.py:
	* tests/test_projectmanager.py:
	  Add tests for ProjectManager.newBlankProject.

2009-06-05  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_projectmanager.py:
	  Add tests for ProjectManager.closeRunningProject.

2009-06-05  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_projectmanager.py:
	  Oops, git add some more hunks that should have gone with the previous commit.

2009-06-05  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_projectmanager.py:
	  Cosmetic changes to test_projectmanager.py

2009-06-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/formatters/base.py:
	* pitivi/project.py:
	* pitivi/projectmanager.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/propertyeditor.py:
	* tests/test_projectmanager.py:
	  Add tests for ProjectManager.loadProject and fix things in the process.

2009-06-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/format.py:
	* pitivi/project.py:
	  Make registering formatters a bit more dynamic.
	  Add pitivi.format.register_formatter so i can register dummy formatters in unit
	  tests.

2009-06-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/format.py:
	  Remove unused import

2009-06-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/projectmanager.py:
	* pitivi/ui/mainwindow.py:
	  Move project methods from pitivi.application to pitivi.projectmanager.

2009-06-03  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	  Remove dead code (addProject)

2009-06-02  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/formatters/base.py:
	* pitivi/ui/mainwindow.py:
	  Make project loading look async to Formatter clients.

2009-06-02  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/ui/mainwindow.py:
	  Make Pitivi.loadProject always take an URI.

2009-06-02  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/check.py:
	  Refactor the application launcher.

2009-06-02  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-06-01  Per Kongstad <p_kongstad@op.pl>

	* po/da.po:
	  Updated Danish translation

2009-06-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/base.py:
	  Use match_stream_groups in SourceFactory.makeBin.

2009-06-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Use match_stream_groups in Timeline.addSourceFactory.

2009-06-01  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/stream.py:
	* tests/test_stream.py:
	  Add stream matching code.
	  Add match_stream_groups and match_stream_groups_map to pitivi.stream.

2009-06-01  Per Kongstad <p_kongstad@op.pl>

	* po/da.po:
	  Updated Danish translation

2009-06-01  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-06-01  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/exportsettingswidget.py:
	  ui: Add comments for translators. Fixes #584416

2009-06-01  Edward Hervey <bilboed@bilboed.com>

	* pitivi/check.py:
	  check.py: Fix string (Cairo=>cairo). Fixes #584415

2009-05-31  Per Kongstad <p_kongstad@op.pl>

	* po/LINGUAS:
	* po/da.po:
	  Added Danish translation

2009-05-21  Claude Paroz <claude@2xlibre.net>

	* pitivi/ui/pluginmanagerdialog.py:
	  PluginManagerDialog: Use named placeholder. Fixes #583474

2009-05-28  Claude Paroz <claude@2xlibre.net>

	* pitivi/utils.py:
	  utils: Add translator comment. Fixes #583861
	  This helps translators to know what "non local" means.

2009-05-28  Bruce Cowan <bcowan@fastmail.co.uk>

	* pitivi/application.py:
	* pitivi/check.py:
	* pitivi/discoverer.py:
	* pitivi/ui/exportsettingswidget.glade:
	* pitivi/ui/net_capture.glade:
	* pitivi/ui/pluginmanagerdialog.py:
	* pitivi/ui/screencast_manager.glade:
	* pitivi/ui/sourcelist.py:
	  Minor string fixes. Fixes #584056

2009-05-28  Claude Paroz <claude@2xlibre.net>

	* pitivi/formatters/format.py:
	* po/POTFILES.in:
	  Formatters: Translate file filter menu. Fixes #584084

2009-05-28  Claude Paroz <claude@2xlibre.net>

	* pitivi/ui/mainwindow.py:
	  MainWindow: Make button labels translatable. Fixes #584086

2009-05-28  Claude Paroz <claude@2xlibre.net>

	* pitivi/ui/encodingdialog.glade:
	* pitivi/ui/exportsettingswidget.py:
	* pitivi/ui/gstwidget.py:
	  EncodingDialog: Make strings translatable. Fixes #584123

2009-05-28  Claude Paroz <claude@2xlibre.net>

	* pitivi/ui/prefs.py:
	* pitivi/ui/previewer.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/trackobject.py:
	* po/POTFILES.in:
	  UI: Make Preferences labels translatable. Fixes #584128

2009-05-28  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	  Timeline*: more documentation.
	  I also added some comments which the code author's should review.

2009-04-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	  TimelineObject/Selection : Add documentation.

2009-04-30  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	  timeline: more documentation

2009-04-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	  TimelineObject: Cleanup selected property.

2009-05-28  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	  timeline: Don't use time as variable name

2009-05-29  António Lima <amrlima@gmail.com>

	* po/pt.po:
	  Updated Portuguese translation

2009-05-29  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: And back to development we go !

2009-05-27  Edward Hervey <bilboed@bilboed.com>

	* AUTHORS:
	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  0.13.1 Release "L'Aquila Immota Manet : The eagle remains unmoved"

2009-05-27  Bruce Cowan <bcowan@fastmail.co.uk>

	* po/en_GB.po:
	  Updated British English translation

2009-05-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Properly load sources. Fixes #582419

2009-05-26  Dmitriy Kodanev <dkodanev@gmail.com>

	* po/LINGUAS:
	* po/ru.po:
	  Added Russian translation

2009-05-24  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.13.0.3 pre-release

2009-05-24  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Update common submodule

2009-05-24  Jean-François Fortin Tam <nekohayo@gmail.com>

	* pitivi/ui/mainwindow.py:
	  About: Implement clickable URL for website. Fixes #583514

2009-05-24  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-05-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pitivigstutils.py:
	  gst: import gst modules to have GTypes loaded. Fixes #583595
	  This is so we can load caps that have GstAudioChannelPosition for
	  example.

2009-05-23  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi.desktop.in:
	  Use Exec=pitivi %f in  the .desktop file.

2009-05-23  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	  Change the command line interface to be more .desktop file friendly.
	  Fixes #583637.

2009-05-23  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  Workaround to make the missing-plugin API work when using decodebin2.
	  Decodebin2 commits its state change to PAUSED before posting missing-plugin
	  messages. The workaround consists in manually popping messages off the bus
	  before doing our internal check for missing plugins.
	  Fixes #583487.

2009-05-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/sourcelist.py:
	  sourcelist: Escape names for markup. Fixes #583592

2009-05-22  Claude Paroz <claude@2xlibre.net>

	* pitivi/ui/pluginmanagerdialog.py:
	  Revert "Use named placeholder syntax in translatable string"
	  Sorry, I inadvertantly pushed this patch (which is planned for a
	  further version).

2009-05-22  Claude Paroz <claude@2xlibre.net>

	* po/fr.po:
	  Updated French translation

2009-05-21  Claude Paroz <claude@2xlibre.net>

	* pitivi/ui/pluginmanagerdialog.py:
	  Use named placeholder syntax in translatable string

2009-05-22  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-05-22  Antón Méixome <meixome@mancomun.org>

	* po/LINGUAS:
	* po/gl.po:
	  Added Galician Translation.

2009-05-22  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/exportsettingswidget.py:
	  exportsettingswidget: 1024x768 is XGA and not WXGA. Fixes #583472

2009-05-21  Claude Paroz <claude@2xlibre.net>

	* po/fr.po:
	  Updated French translation

2009-05-21  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/stream.py:
	* pitivi/timeline/timeline.py:
	* pitivi/ui/sourcelist.py:
	* tests/test_timeline.py:
	  Allow importing multi-audio or multi-video clips.
	  Be less strict in mapping streams to tracks for now, adding the first stream of
	  each kind to the timeline.

2009-05-21  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-05-21  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.13.0.2 pre-release !

2009-05-21  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: Require latest gnonlin for 'update' speedups.

2009-05-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	* pitivi/elements/Makefile.am:
	* pitivi/factories/Makefile.am:
	* pitivi/formatters/Makefile.am:
	* pitivi/timeline/Makefile.am:
	  Makefile.am : Order files alphabetically.
	  This is to make it easier to spot missing disted files.

2009-05-20  Edward Hervey <bilboed@bilboed.com>

	* po/fr.po:
	  po: Update French translation a bit more

2009-05-20  Edward Hervey <bilboed@bilboed.com>

	* po/POTFILES.in:
	  POTFILES.in: Adding missing files

2009-05-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MainWindow: Really deactivate screencast support for the release.
	  It hasn't been ported.

2009-05-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  Viewer: Protect seeks with try/except

2009-05-20  Stéphane Maniaci <stephane.maniaci@gmail.com>

	* pitivi/ui/viewer.py:
	  Viewer: Implement rewind/forward buttons.

2009-05-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/ruler.py:
	  Ruler._doSeek(): Forward the on_idle argument
	  This should get rid of various deadlocks due to reentrant seeks on
	  the pipeline.

2009-05-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MainWindow: Don't assume get_uri() returns a string.

2009-05-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MissingURIDialog: Don't forget to unquote the URI. Finishes fixing #580654

2009-05-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	* tests/test_formatter.py:
	  Formatter: Make mapping system a bit more resilient.
	  I have to disable the test for the time being since it will
	  actually check to see if the uri is accessible.

2009-05-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/application.py:
	* pitivi/ui/mainwindow.py:
	  Application: forward missing-uri signal from formatter. Partially fixes #580654

2009-05-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/timeline.py:
	  ui.timeline: optimize key handling seek code a bit more.

2009-05-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Catch/debug exceptions from queries on the gst.Pipeline

2009-05-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	  ui: seek only when timeline/ruler has focus. Fixes #579319.
	  Also move keyboard seeking to ui.timeline.

2009-05-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/pipeline.py:
	  pipeline: clamp seek values between [0, duration]

2009-05-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/mainwindow.xml:
	  remove seeking actions from UI

2009-05-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/pipeline.py:
	* pitivi/ui/viewer.py:
	  pipeline, ui.viewer: move implementation of play, pause, and toggle into pipeline() class

2009-05-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  ui.controller: items should grab focus on mouseover

2009-05-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/ruler.py:
	* pitivi/utils.py:
	* tests/test_seeker.py:
	  Seeker: make seeking in a idle handler optional.

2009-05-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/utils.py:
	* tests/test_seeker.py:
	  Change Seeker to do the first seek in a idle_add.
	  Fixes a deadlock in gnlcomposition caused by the ruler seeking in
	  setShadedDuration, which is triggered when the composition start/duration values
	  change.

2009-05-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	  Add support for factories other than FileSourceFactory in ElementTreeFormatter.

2009-05-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/plumber.py:
	  plumber: Remove buggy scaler
	  Should fix most of the issues we've been seeing lately...

2009-05-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/exportsettingswidget.py:
	  ExportSettingsWidget: Don't return bogus element settings. Fixes #583147

2009-05-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	* tests/test_formatter.py:
	  Formatter: Add minimalistic support for moved file mapping.
	  Requires implementation in the UI.
	  The idea is that when a file has moved, Formatter will emit the
	  'missing-uri' signal.
	  Within that callback, the application should:
	  * ask the user for the new location
	  * call Formatter.addMapping()
	  Hopefully... if files have moved for a project, they most likely
	  have all moved in the same fashion, so this signal should only be
	  emitted once.

2009-05-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/Makefile.am:
	  Dist pitivi/reflect.py

2009-05-18  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_seeker.py:
	  Fix Seeker tests.

2009-05-15  Edward Hervey <bilboed@bilboed.com>

	* pitivi/utils.py:
	  Seeker: Don't wait 80ms for the first seek.

2009-05-15  Edward Hervey <bilboed@bilboed.com>

	* .gitignore:
	  .gitignore: Add .xptv

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/timelinecanvas.py:
	  TimelineCanvas: More extensive scrollwheel behaviour. Fixes #576326
	  UP/DOWN : scrolls left/right
	  SHIFT + UP/DOWN : scrolls up/down
	  CTRL + UP/DOWN : zooms in/out
	  Also made the canvas Loggable (for debug messages).

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Check if nodes are non-None.

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Store/Load container/codec settings. Fixes #569834

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/gstwidget.py:
	  gstwidget: Use the numerical representation of enums.
	  Moving around strongly-typed enum values is pointless since:
	  * we need that GType to be loaded to be usefule (not great when loading
	  a project...)
	  * we've got the name of the property so we can get the enum back later on.

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Only load settings.. if there are any :)

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/gstwidget.py:
	  gstwidget: Only return non-default values.

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Save/Load project settings. Partially fixes #569834

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/etree.py:
	* pitivi/formatters/playlist.py:
	  Formatter: Add optional project argument to _parse()

2009-05-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	* pitivi/ui/mainwindow.py:
	  UI: Save last folder used for exports. Fixes #579638

2009-05-13  Edward Hervey <bilboed@bilboed.com>

	* Makefile.am:
	* configure.ac:
	* icons/16x16/Makefile.am:
	* icons/16x16/pitivi.png:
	* icons/16x16/pitivi.svg:
	* icons/22x22/Makefile.am:
	* icons/22x22/pitivi.png:
	* icons/22x22/pitivi.svg:
	* icons/24x24/Makefile.am:
	* icons/24x24/pitivi.png:
	* icons/32x32/Makefile.am:
	* icons/32x32/pitivi.png:
	* icons/32x32/pitivi.svg:
	* icons/48x48/Makefile.am:
	* icons/48x48/pitivi.png:
	* icons/48x48/pitivi.svg:
	* icons/Makefile.am:
	  icons: Add scalable icons. Fixes #573997
	  Icons by Andreas Nilsson

2009-05-13  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-05-13  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/previewer.py:
	  ui.previewer: Use nearest-neighbour method for video scaling.
	  It's substantially faster than the other methods (and we don't care
	  about the thumbnails quality at that resolution).

2009-05-12  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-05-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  Viewer: Reset the pipeline before setting a new Pipeline/Action.
	  If we don't do this... the pipelines still carry on existing for some
	  weird reason. Don't have time to further investigate this, but we
	  should have a deeper look after the release.

2009-05-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  UI: Adjust Viewer DAR whenever the project settings change. Fixes #572099

2009-05-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  ui: Set project DAR on Viewer when switching to the timeline.

2009-05-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/exportsettingswidget.py:
	  Show framerates in presets.

2009-05-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/exportsettingswidget.py:
	  Fix framerate in 480p ntsc preset.

2009-05-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  ui.viewer: Remove dead code/args

2009-05-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  ui.viewer: Fix the DAR a bit more. Partially fixes #572099

2009-05-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  mainwindow: Use existing SourceFactory when viewing a source.

2009-05-12  Jean-François Fortin Tam <nekohayo@gmail.com>

	* pitivi/ui/exportsettingswidget.py:
	  Add more presets.

2009-05-12  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/encodingdialog.py:
	* pitivi/utils.py:
	* tests/test_utils.py:
	  Use better formatting for durations in sourcelist and encodingdialog.
	  Based on a patch from Jean-François Fortin Tam <nekohayo at gmail dot com>.
	  Fixes #575955.

2009-05-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/previewer.py:
	  ui.previewer: Use stream Display Aspect Ratio for proper thumbnails.
	  I have no idea what that previous calculation was trying to do.

2009-05-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pixmaps/Makefile.am:
	* pitivi/ui/Makefile.am:
	  Makefile.am : Add new files

2009-05-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/timeline.py:
	  ui/timeline: Specify position argument to gtk.UIManager.insert_action_group()
	  Theoretically there is a default of -1 since pygtk 2.12.0 ... but some
	  distros have decided otherwise.

2009-05-11  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: require the latest gstreamer core and python bindings

2009-05-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	  Discoverer: Reduce the maximum thumbnail size to 96x96
	  We resize them in the UI to 64 pixels wide. This should leave us
	  some margin and speeds up loading big files even more drastically.

2009-05-10  Mario Blättermann <mariobl@gnome.org>

	* po/de.po:
	  Updated German translation

2009-05-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	  Discoverer: Increase the blocksize of the source elements to 128kb
	  The default value is 4kb ... which makes the decoding of high-bitrate
	  content (like 6MPixel photos or HDV footage) in push-mode exceedingly
	  slow. Giving 32times more data at once speeds up those scenarios.

2009-05-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	  Discoverer: Limit size of video to thumbnail to 720x720.
	  We use videoscale in nearest-neighbour mode (which is faster).

2009-05-10  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: bump python-gtk requirement to 2.12.0

2009-05-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  ui.viewer: fix typo (which disabled seek-by-mousewheel)

2009-05-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/common.py:
	* pitivi/ui/trackobject.py:
	  ui.trackobject: Subtle gradient for the clip background. Fixes #580671

2009-05-07  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/trackobject.py:
	  Timeline: Disable updates when adding/moving objects in the timeline.
	  This requires current gnonlin git, and might need some more optimisation
	  by putting even more timeline modifications between enable/disableUpdates.

2009-05-08  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-05-08  Jorge Gonzalez <jorgegonz@svn.gnome.org>

	* po/es.po:
	  Updated Spanish translation by Jesse Avilés

2009-05-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Fix group/ungroup sensitiveness a bit more.

2009-05-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	  Make group and ungroup sensitive (or not) based on the current selection.

2009-05-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	  Re-enable group and ungroup actions

2009-05-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	  Fix Timeline.groupSelection and Timeline.ungroupSelection.
	  Those functions weren't updated when selection code was moved out of
	  Timeline.

2009-05-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	  Revert "timeline.timeline: selection tracks individual track-objects internally"
	  This reverts commit 5c5704d51b14a53b90ee2e30156e88cad23b67c3.

2009-05-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer: add config option / preference to disable previews on random-access sources (fixes 580673)

2009-05-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_timeline.py:
	  tests: move Selection unit test to Link unit test.

2009-05-07  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/timeline.py:
	  Revert "ui.timeline: seek playhead to mouse position on button release"
	  This reverts commit dcebfca36e9686bf3e74f73ddcf7a3ecbcd7a807.

2009-05-07  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	* pitivi/sourcelist.py:
	* tests/test_discoverer.py:
	  Discoverer: pass the discovered uri in discovery-done.

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  Discoverer: fix "no streams found" error message

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	* tests/test_discoverer.py:
	  Discoverer: rename error_debug to error_detail

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	* pitivi/sourcelist.py:
	* pitivi/ui/netstream_managerdialog.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/webcam_managerdialog.py:
	* tests/test_discoverer.py:
	  Discoverer: rename addFile to addUri.

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/discoverer.py:
	* pitivi/sourcelist.py:
	* pitivi/ui/sourcelist.py:
	* tests/test_discoverer.py:
	  Discoverer: refactor signals.
	  Remove new_sourcefilefactory.
	  Change finished_analyzing to discovery-done.
	  Change not_media_file to discovery-error.

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* Makefile.am:
	  Dist pitivi.xml

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	  Merge branch 'discoverer-discover-factory'

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* tests/test_discoverer.py:
	  Remove unused import.

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  Split Discoverer._analyze in smaller methods.

2009-05-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	  etree formatter: fix headers, remove unused imports

2009-05-06  Sandeep Shedmake <sshedmak@redhat.com>

	* po/mr.po:
	  commit one change in po/mr.po

2009-05-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  encodingdialog: Use set_uri/set_current_name
	  This makes it in sync with the get_uri method we use to get the
	  currently set location.

2009-05-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/project.py:
	* pitivi/ui/exportsettingswidget.py:
	  exportsettingswidget: Fix several issues related to loading/saving settings.
	  There seems to have been some subtle changes in gtk since this code was
	  written, causing the combobox changed callback to be called more often.
	  This should partially fix #569834

2009-05-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/action.py:
	* pitivi/application.py:
	* pitivi/device.py:
	* pitivi/discoverer.py:
	* pitivi/factories/base.py:
	* pitivi/formatters/base.py:
	* pitivi/log/log.py:
	* pitivi/pipeline.py:
	* pitivi/pluginmanager.py:
	* pitivi/project.py:
	* pitivi/settings.py:
	* pitivi/signalinterface.py:
	* pitivi/sourcelist.py:
	* pitivi/stream.py:
	* pitivi/threads.py:
	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/previewer.py:
	* pitivi/utils.py:
	* tests/test_signallable.py:
	  Make Signallable and Loggable new style classes.
	  Fixes random segfaults with python2.6.

2009-05-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  mainwindow: settings-changed signal from Project no longer has an argument.

2009-05-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  settings: Add a try/except to catch issues with broken config files.
	  We should get rid of this in the long run.

2009-05-05  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Add a FIXME comment.

2009-05-05  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-05-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/plumber.py:
	  Also put videoscale in DefaultVideoSink.

2009-05-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/viewer.py:
	  viewer: stay in sync with the pipeline state.
	  Fixes #580962.

2009-05-04  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	  Fix loading project files containing spaces or non ascii characters.
	  Fixes #580972.

2009-05-04  Mario Blättermann <mariobl@gnome.org>

	* po/ChangeLog:
	* po/de.po:
	  Updated German translation

2009-05-03  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-05-03  Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

	* po/zh_HK.po:
	* po/zh_TW.po:
	  Updated Traditional Chinese translation(Hong Kong and Taiwan)

2009-05-01  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/plumber.py:
	  action/sinks: When disabling Sync, also disable QoS.
	  This should fix the 'stuttering' issue when rendering on computers which
	  are too slow to do (faster than) real-time rendering.

2009-04-30  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject: moving slected clip moves all selected (fixes 572098)

2009-04-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/trackobject.py:
	  timeline.timeline: fix union and difference selection modes

2009-04-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	  timeline.timeline: selection tracks individual track-objects internally

2009-04-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/timeline.py:
	  timeline.timeline: move timeline selection methods to selection class

2009-04-21  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline.timeline: Link no longer inherits from selection

2009-04-30  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject: indicate selection by tinting the body of the clip rather than drawing an outline around them

2009-04-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/plumber.py:
	  Add ffmpegcolorspace before xvimagesink.
	  xvimagesink doesn't seem to support I420 under vmware.

2009-04-30  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/sourcelist.py:
	  pitivi.sourcelist: fix a bug removing clips.
	  Fixes #580192.

2009-04-30  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/controller.py:
	  ui.controller: reset the cursor to ARROW.
	  Fixes #580191.

2009-04-30  Alessandro Decina <alessandro.d@gmail.com>

	* Makefile.am:
	* pitivi.desktop.in:
	* pitivi.xml:
	  Register the text/x-xptv mime type, and set pitivi as its default app.

2009-04-30  Brandon Lewis <brandon.lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  ui.previewer: add thumbnail spacing preference option: fixes 575952

2009-04-29  Brandon Lewis <brandon.lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  ui.trackobject: add clip title font preference option

2009-04-29  Brandon Lewis <brandon.lewis@berkeley.edu>

	* pitivi/settings.py:
	* pitivi/ui/prefs.py:
	  ui.prefs: add font preference option and test case

2009-04-29  Brandon Lewis <brandon.lewis@berkeley.edu>

	* pitivi/ui/dynamic.py:
	  ui.dynamic: add font selector widget

2009-04-29  Brandon Lewis <brandon.lewis@berkeley.edu>

	* pitivi/settings.py:
	* pitivi/ui/prefs.py:
	  settings, ui.prefs: add ability to reset to factory defaults

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/prefs.py:
	  ui.prefs: remember size of dialog

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/prefs.py:
	  ui.prefs: sort preferences by their unlocalized label names; clean up bad labels

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/prefs.py:
	* pitivi/ui/trackobject.py:
	  ui.prefs: sort preferences by their unlocalized label names; clean up bad labels

2009-04-29  Brandon Lewis <brandon.lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/track.py:
	* pitivi/ui/trackobject.py:
	  ui: add edge snap and clip color preferences

2009-04-29  Brandon Lewis <brandon.lewis@berkeley.edu>

	* pitivi/ui/prefs.py:
	  ui.prefs: disable test options; add color preference

2009-04-29  Brandon Lewis <brandon.lewis@berkeley.edu>

	* pitivi/settings.py:
	* pitivi/ui/common.py:
	* pitivi/ui/dynamic.py:
	  ui.common: check in code for manipulating color values

2009-04-16  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/dynamic.py:
	  ui.dynamic: add color widget and test case

2009-04-16  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/dynamic.py:
	  ui.prefs: set adjustment parameters on numeric widgets when value changes

2009-04-16  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/dynamic.py:
	* pitivi/ui/prefs.py:
	  ui.prefs, ui.dynamic: preference widgets now actually set associated settings, restart warning shown for non-live properties

2009-04-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/settings.py:
	* pitivi/ui/dynamic.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/prefs.py:
	* pitivi/ui/previewer.py:
	  ui.prefs: test cases for UI prefs and dummy implementation for all dynamic widgets

2009-04-13  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/mainwindow.xml:
	* pitivi/ui/prefs.py:
	  mainwindow, prefs: basic layout of preferences dialog

2009-04-13  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/settings.py:
	* pitivi/ui/mainwindow.py:
	  settings: add support for receiving signals from properties

2009-04-23  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline: seek playhead to mouse position on button release

2009-04-23  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  ui.timeline: don't let the timeline shrink during a drag

2009-04-28  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/trackobject.py:
	  Add edge snapping when trimming at start.
	  Fixes #580172.

2009-04-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	  Handle unicode when deserializing object factories.
	  Fixes #579410 even more.

2009-04-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/formatters/etree.py:
	* pitivi/utils.py:
	  Write filenames as utf-8 in the project file.
	  Fixes #579410.

2009-04-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	  Use urlsafe_b64encode to generate thumbnail names.
	  Fixes #576872.

2009-04-27  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/pixmaps/Makefile.am:
	  Dist invisible.png

2009-04-21  Mario Blättermann <mariobl@gnome.org>

	* po/ChangeLog:
	* po/de.po:
	  Updated German translation

2009-04-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/etree.py:
	* pitivi/formatters/playlist.py:
	* pitivi/utils.py:
	  formatters: Fix validateSourceURI and use it in the formatters.
	  FIXME : Add support for it in the ui, by listening to 'missing-uri'

2009-04-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	  Formatter: Add a debugging statement

2009-04-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/Makefile.am:
	* pitivi/formatters/format.py:
	* pitivi/formatters/playlist.py:
	  formatters: Add new playlist read-only Formatter
	  I mostly did this to try another kind of formatter... and man is it easy :)

2009-04-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	  Timeline: Be a bit more flexible when figuring out stream compatibility.
	  And also add a bit of debugging

2009-04-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/sourcelist.py:
	  ui.sourcelist: Don't load a new project which isn't "ready"
	  This happens with formatters that require discoverer to be run on its
	  sources.

2009-04-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/timeline.py:
	  pitivi.timeline.time: Makes the classes Loggable

2009-04-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/preview.py:
	  ui/preview: Avoid calculations using element if it's not valid anymore.
	  This happens because goocanvas does calls after we release the related
	  TrackObject.

2009-04-20  Daniel Nylander <po@danielnylander.se>

	* po/ChangeLog:
	* po/sv.po:
	  Updated sv translation

2009-04-20  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge commit 'gnome/master'

2009-04-20  Gianvito Cavasoli <gianvito@gmx.it>

	* po/it.po:
	  Updated Italian translation

2009-04-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Save ordered list of sources. Fixes #579534

2009-04-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/sourcelist.py:
	  SourceList: Add gstSources() method to get a sorted list of sources.
	  The order is the order in which the sources were added to the SourceList

2009-04-20  Edward Hervey <bilboed@bilboed.com>

	* tests/test_formatter.py:
	  Fix test break introduced by d28582fd94f4a292d5dd08de149c984c65589287

2009-04-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/singledecodebin.py:
	  singledecodebin: Small fixes to make it work with loaded Factories.
	  The detection for the requested pad is really really really unstable.
	  We're relying on mystical pad names to figure out if the pad is the
	  requested one....

2009-04-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Also save/load Stream.pad_name
	  Fixme : We should really switch to another name for that attribute.

2009-04-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/previewer.py:
	  ui/previewer: Don't forget to give SingleDecodeBin the Stream also.

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/base.py:
	* pitivi/ui/mainwindow.py:
	  ui.mainwindow: don't save as when we save a project we just opened from a file

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/etree.py:
	  formatters.etree: save and restore object factory duration

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecontrols.py:
	  ui.timelinecontrols: clean up some loose ends in the UI

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/application.py:
	* pitivi/project.py:
	  project,application: move creation of default tracks to the newBlankProject() method (temporary hack to make loading work)

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/test_formatter.py:
	  formatter: fix loading test cases

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/etree.py:
	  formatter.etree: fillTimeline operates on the projects existing timeline rather than creating a new one

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/etree.py:
	  formatters.etree: remove completely-unused and redundant method _loadProject

2009-04-17  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/etree.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/track.py:
	  ui.trackobject, ui.timeline.py, ui.timelinecanvas: add any existing track objects (except default) when track is set

2009-04-19  Timo Jyrinki <timo.jyrinki@iki.fi>

	* po/fi.po:
	  Updated Finnish translation.

2009-04-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  ElementTreeFormatter: Finish implementation.
	  The project now fully loads.

2009-04-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	  Formatter: Add _fillTimeline() method along with debugging and slight fixes

2009-04-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/sourcelist.py:
	  SourceList: Allow only giving the factory to addFactory.
	  When providing a URISourceFactoryMixin factory we don't need to specify
	  the URI (it's contained in the factory).

2009-04-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	  Formatter: Add logging

2009-04-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	  Application: Fix loadProject method, log exceptions

2009-04-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/log/log.py:
	  Loggable: Add a method for logging exceptions

2009-04-13  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow: remove an unnecessary signal connection

2009-04-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/formatters/etree.py:
	* pitivi/formatters/format.py:
	* pitivi/ui/mainwindow.py:
	  ui.mainwindow, formatters.format: fill in missing high-level functions, adjust UI to match

2009-04-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/application.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/projecttabs.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/timelinecontrols.py:
	  UI: refactor UI to ensure that UI properly connects to new projects when they are created

2009-04-07  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	* tests/test_formatter.py:
	  etree: Split the serialization into a separate method.
	  This still allows the unit test to check the validity of the output.

2009-04-07  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	  formatter: saveProject doesn't return anything.
	  If there's a failure, an exception will be raised, else the save was
	  successful.

2009-04-07  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	* tests/test_formatter.py:
	  formatters.etree: Move the context into the class

2009-04-07  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/etree.py:
	  etree: simplify code

2009-04-07  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/format.py:
	  formatter.format: implement save_project

2009-04-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecontrols.py:
	  timeliecontrols: fix sizing bug

2009-04-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/application.py:
	  application: fix missing import

2009-04-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/application.py:
	* pitivi/formatters/base.py:
	* pitivi/formatters/format.py:
	* pitivi/project.py:
	* pitivi/ui/mainwindow.py:
	  UI: file load and save actions now hook into formatter code

2009-03-27  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/formatters/etree.py:
	* tests/test_formatter.py:
	  checkpoint. save and load implemented, now need to be hooked in pitivi.

2009-03-27  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/formatters/etree.py:
	* tests/test_formatter.py:
	  tmp. finish save.

2009-03-26  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/test_formatter.py:
	  Checkpoint. Incomplete ElementTree based formatter + some tests.

2009-03-26  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/reflect.py:
	  Add pitivi/reflect.py.
	  The module contains bits of python reflection code stolen from
	  twisted.python.reflect that  are used by the xml formatters. Original license is
	  MIT.

2009-03-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/format.py:
	* pitivi/project.py:
	* pitivi/sourcelist.py:
	* pitivi/utils.py:
	  A bit more code, still not 100% done with the design and docs.

2009-03-16  Edward Hervey <bilboed@bilboed.com>

	* .gitignore:
	  Ignore more

2009-03-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	* pitivi/project.py:
	* pitivi/projectsaver.py:
	* pitivi/ui/mainwindow.py:
	  Remove projectsaver

2009-03-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  re-enable UI actions for file save/load

2009-03-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	* pitivi/device.py:
	* pitivi/project.py:
	* pitivi/serializable.py:
	* pitivi/settings.py:
	* pitivi/sourcelist.py:
	  Remove Serializable and all of its usage in pitivi

2009-02-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	  Application: new addProject() method and 'new-project' signal

2009-02-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/format.py:
	  A bunch more minor fixes

2009-02-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/base.py:
	* pitivi/formatters/format.py:
	  Documentation fixes

2009-02-10  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* pitivi/Makefile.am:
	* pitivi/formatters/Makefile.am:
	  Add formatters to autotools build system.

2009-01-07  Edward Hervey <bilboed@bilboed.com>

	* pitivi/formatters/__init__.py:
	* pitivi/formatters/base.py:
	* pitivi/formatters/format.py:
	  Formatter: Write out design specifications in blank classes with documentation.

2009-03-26  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* tests/test_timeline.py:
	* tests/test_timeline_factory.py:
	* tests/test_track.py:
	  Make TrackObjects take a stream parameter.
	  This should make files with multiple a/v streams work. It's also needed during
	  project loading.

2009-04-16  Edward Hervey <bilboed@bilboed.com>

	  Merge commit 'gnome/master'

2009-04-16  Claude Paroz <claude@2xlibre.net>

	* po/fr.po:
	  Partial update of French translation

2009-04-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	  ui.controller: don't call click after a drag

2009-04-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/zoominterface.py:
	  ui.zoominterface: smooth out zooming at lower zoom levels

2009-04-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/pixmaps/invisible.png:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	  ui.sourcelist: hide drag icon when pointer moves over timeline

2009-04-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	  ui.timelinecanvas: snap razor to playhead position

2009-04-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/Makefile.am:
	  ui: actions.xml moved to mainwindows.xml

2009-04-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	  Merge branch 'menus'

2009-04-07  Edward Hervey <bilboed@bilboed.com>

	  Merge commit 'gnome/master'

2009-04-07  Sandeep Shedmake <sshedmak@redhat.com>

	* po/LINGUAS:
	  Added 'mr'

2009-04-07  Sandeep Shedmake <sshedmak@redhat.com>

	* po/mr.po:
	  Added Marathi Translations

2009-04-07  Ankitkumar Patel <ankit@redhat.com>

	* po/gu.po:
	  Added Gujarati Translations File

2009-04-07  Ankitkumar Patel <ankit@redhat.com>

	* po/ChangeLog:
	* po/LINGUAS:
	  Updated ChangeLog and LINGUAS with Gujarati addition information

2009-04-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/mainwindow.xml:
	  add last of the menu commands

2009-04-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow: change library menu to project menu

2009-04-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  mainwindow: save toolbar visibility to configuration

2009-04-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/timeline.py:
	  menus for timeline

2009-04-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/actions.xml:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/mainwindow.xml:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	  add missing menu items and supporting code

2009-04-01  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/actions.xml:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/viewer.py:
	  mainwindow, timeline, viewer: keyboard seeking support

2009-03-13  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  sourcelist: only call drag_begin at appropriate time, Finally Fixes 572327

2009-03-13  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  sourcelist: wait until mouse-up to clear selection, if ever

2009-03-30  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/actions.xml:
	* pitivi/ui/mainwindow.py:
	  mainwindow: add accelerators for fullscreen, playpause, and other actions

2009-03-30  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/viewer.py:
	  viewer: add new method togglePlayback(), which also properly sets the play button icon

2009-03-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/actions.xml:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/viewer.py:
	  Expose viewer API externally

2009-03-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  also take pixel aspect ratio into account

2009-03-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  really take into account the thumbnail aspect ratio

2009-03-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  really take into account the thumbnail aspect ratio

2009-03-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* pitivi/ui/timelinecontrols.py:
	* pitivi/ui/track.py:
	  Fix a traceback removing clips. Fixes #576577.

2009-03-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/sourcelist.py:
	  sourcelist: always display video before audio. Fixes #575957.

2009-03-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* configure.ac:
	* pitivi/check.py:
	  configure.ac: bump requirements to gst-python 0.10.14.1 and gnonlin 0.10.10.2.

2009-03-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/elements/singledecodebin.py:
	  singledecodebin: add a 1s queue before decoders.

2009-03-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/application.py:
	  application: fix not_media_file signal handling.

2009-03-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/plumber.py:
	  plumber: enable QoS in sinks now that gnonlin handles QoS events.

2009-03-24  Edward Hervey <bilboed@bilboed.com>

	* po/POTFILES.in:
	  po: Add pitivi/ui/timelinecontrols.py

2009-03-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/Makefile.am:
	  ui/Makefile.am : Fix typo

2009-03-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/Makefile.am:
	  ui: Add new files to Makefile.am

2009-03-19  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Switch to head of common

2009-03-19  Edward Hervey <bilboed@bilboed.com>

	* .gitmodules:
	  Use gstreamer common submodule now that they've switched

2009-03-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/base.py:
	* pitivi/pipeline.py:
	* tests/common.py:
	* tests/test_action.py:
	* tests/test_pipeline.py:
	* tests/test_pipeline_action.py:
	  Refactor state change and position reporting code in Pipeline. Fixes #575123.

2009-03-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Remove the track-order-changed signal from Timeline as it isn't used anywhere.

2009-03-16  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/trackobject.py:
	  Put back the implementation of TrackObject.setProperty and TimelineObject.setProperty and just call setObjectProperty from ui/trackobject.

2009-03-16  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/timelinecontrols.py:
	* pitivi/ui/track.py:
	  Remove the expanded property from timeline/track.py and move the functionality to timeline/ui/*

2009-03-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  trackobject: clear y mousedown coordinate so veritcal mostion is more natural

2009-03-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/controller.py:
	* pitivi/ui/trackobject.py:
	  trackobject: stabilize layer height calculation

2009-03-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	* pitivi/ui/trackobject.py:
	  timeline.track: fix max priority calculation

2009-03-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/timelinecontrols.py:
	  track: deactivate priority synchronization for now. ui.timelinecontrols: deactivate track expander.

2009-03-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/track.py:
	* pitivi/ui/trackobject.py:
	  timelinecanvas, trackobject: re-enable vertical movement

2009-03-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/common.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/timelinecontrols.py:
	* pitivi/ui/track.py:
	* pitivi/ui/trackobject.py:
	  ui.track: tracks can now be expanded/contracted

2009-03-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/common.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/track.py:
	  track: add expanded property, ui.track: use expanded property to determine height

2009-03-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecontrols.py:
	  ui.timeline: deactivate track controls, since we can't do anything with them right now

2009-03-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecontrols.py:
	  ui.timeline: finally get layers and track controls to appear properly

2009-02-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/timelinecontrols.py:
	* pitivi/ui/track.py:
	* pitivi/ui/trackobject.py:
	  add timeline controls next to timeline canvas
	  set priority based on y-axis
	  add max-priority property to timeline.track
	  fix function signature
	  disable vertical movement for now, we have a long way to go
	  start working on track controls
	  fix some issues

2009-03-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	* pitivi/signalinterface.py:
	* pitivi/stream.py:
	* tests/common.py:
	* tests/test_pipeline.py:
	* tests/test_pipeline_action.py:
	  Misc fixes to make test_pipeline and test_pipeline_action pass again.

2009-03-16  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  track: add track.max_priority + tests.

2009-03-15  Edward Hervey <bilboed@bilboed.com>

	* .gitignore:
	  .gitignore: Ignore more files

2009-03-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  mainwindow: Move the 3 musketeers to the top of the list.
	  Alessandro wasn't in the list of contributors, so added it at the
	  top along with Brandon.

2009-03-12  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/stream.py:
	  stream: add a fix for wav files.

2009-03-12  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	* tests/test_discoverer.py:
	  discoverer: link the pads even before we get a notify::caps signal.

2009-03-12  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	* tests/test_discoverer.py:
	  discoverer: link pads on the first notify::caps even if caps are still not fixed.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/timeline.py:
	  Don't put the FixSeekStart element in the timeline pipeline with gst-python <= 0.10.14, as it triggers a bug in basetransform.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* AUTHORS:
	  Put myself in AUTHORS \o/.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/mainwindow.py:
	  Unify the code to disable unimplemented features.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/mainwindow.py:
	  Also disable network capture.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/mainwindow.py:
	  Grey out unimplemented items from the menu bar and the toolbar.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/timeline.py:
	  ui/timeline: hide the horizontal scrollbar if the timeline is empty.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	* pitivi/stream.py:
	  Use pad.props.caps rather than pad.get_caps() in some places where we don't expect unfixed caps.
	  Fixes #574595.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/sourcelist.py:
	  Fix indentation in pitivi/ui/sourcelist.py.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	  Make pitivi/discoverer.py runnable for testing.

2009-03-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/test_discoverer.py:
	  Fix discoverer tests.

2009-03-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/elements/smartscale.py:
	  smartscale: add a workaround for bug #574805 in gst core.

2009-03-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/application.py:
	  application.py: make it possible to pass relative paths as arguments

2009-03-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/application.py:
	  application: useful command-line arguments, with documentation

2009-03-09  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/previewer.py:
	  previewer: limit maximum number of pending requests to user configurable limit

2009-03-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/Makefile.am:
	* pitivi/pixmaps/Makefile.am:
	  Dist some pixmaps.

2009-03-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	* pitivi/ui/Makefile.am:
	  Don't forget to change the Makefile.am for moved files

2009-03-09  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	* pitivi/ui/preview.py:
	* pitivi/ui/previewer.py:
	  previewer: move to UI directory

2009-03-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* docs/debian-packaging:
	  Add docs/debian-packaging, a doc explaining how to do pitivi packages for PPA.

2009-03-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/Makefile.am:
	  Fix make dist.

2009-03-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	* pitivi/ui/defaultpropertyeditor.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/preview.py:
	* pitivi/ui/projecttabs.py:
	* pitivi/ui/propertyeditor.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/webcam_managerdialog.py:
	* pitivi/ui/zoominterface.py:
	  User Interface: remove double-underscore identifiers
	  defaultpropertyeditor: remove double-underscore identifiers
	  ui.timelinecanvas: remove double-underscore identifiers
	  mainwindow: remove double-underscore identifiers
	  webcam_managerdialog: remove double-underscore identifiers
	  ui.timeline: remove double-underscore identifiers
	  zoominterface: remove double-underscore identifiers
	  ui.preview: remove double-underscore identifiers
	  ui.projecttabs: remove double-underscore identifiers
	  ui.propertyeditor: remove double-underscore identifiers
	  previewer: remove double-underscore identifiers

2009-03-08  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/audiofxlist.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/projecttabs.py:
	* pitivi/ui/propertyeditor.py:
	* pitivi/ui/screencast_managerdialog.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/videofxlist.py:
	  User Interface: remove remaining references to instance.pitivi

2009-03-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* tests/runtests.py:
	* tests/testHList.py:
	* tests/testmagnets.py:
	  remove unneeded files

2009-03-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  previewer: add cache size configuration option, set a reasonable default

2009-03-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  previewer: cache previews using the thumbnailcache module

2009-03-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/thumbnailcache.py:
	* tests/test_cache.py:
	  new module: thumbnailcache, with unit test

2009-03-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  timeline: reduce jumpiness when scrolling after zooming

2009-03-02  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/zoominterface.py:
	  Zoomable: more zoom levels, more evenly spaced

2009-03-06  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/viewer.py:
	  Set the viewer unsensitive when the pipeline is empty. Fixes #573890.

2009-03-06  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/encode.py:
	  Add a workaround for a bug in identity with single-segment=true and oggmux.
	  The bug was fixed in gstreamer core, commit c20fb4c1.

2009-03-04  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/pipeline.py:
	* pitivi/stream.py:
	  Workaround a bug that breaks rendering of still pictures.

2009-03-03  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  previewer: fix previews for still images to only use single thumbnail

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/action.py:
	* pitivi/factories/file.py:
	  Release consumers in Action._releasePipelineObjects. Fixes #573899.

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/timeline.py:
	  Reset scrolling limits in the timeline when objects are removed. Fixes #573892.

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/viewer.py:
	  Make the viewer have a black background by default. Fixes #573894.

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/encodingdialog.py:
	  Remove unnecessarty star-notation introduced in the previous commit.

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/encodingdialog.py:
	  Handle delete-event in EncodingDialog. Fixes #573898.

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/project.py:
	* pitivi/settings.py:
	* pitivi/ui/encodingdialog.py:
	  Fix single stream encoding. Fixes #573897.

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/viewer.py:
	  Catch PipelineError exceptions calling pipeline.seek from the viewer.

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/project.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/projecttabs.py:
	* pitivi/ui/sourcelist.py:
	  Implement playback from the sourcelist. Fixes #573887.

2009-03-03  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/ruler.py:
	* pitivi/ui/viewer.py:
	* pitivi/utils.py:
	* tests/test_seeker.py:
	  Add pitivi.utils.Seeker. Make ruler and viewer use it.

2009-03-03  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/application.py:
	* pitivi/device.py:
	* pitivi/discoverer.py:
	* pitivi/encode.py:
	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	* pitivi/pipeline.py:
	* pitivi/plumber.py:
	* pitivi/previewer.py:
	* pitivi/project.py:
	* pitivi/settings.py:
	* pitivi/sourcelist.py:
	* pitivi/threads.py:
	* pitivi/ui/filelisterrordialog.py:
	* pitivi/ui/gstwidget.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/netstream_managerdialog.py:
	* pitivi/ui/ruler.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/viewer.py:
	  Debug: Use ',' insted of '%' so that we avoid interpreting arguments if we don't output debug.

2009-03-02  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	  Discoverer: use sync_state_with_parent() instead of setting a specific state.

2009-03-02  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	  Discoverer: Stop the analysis when we get a GST_MESSAGE_ERROR.
	  Previously, this would eventually time-out. But it's better to be
	  informed ASAP that there's an issue (and carry on loading the other files).

2009-03-02  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  EncodingDialog: Only connect to the position/eos signals when we use the Pipeline.

2009-03-02  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  Viewer: Connect to EOS, and set the play/pause button to Play.

2009-03-02  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/sourcelist.py:
	  Don't show duration for images in the source list.

2009-03-02  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/file.py:
	  Fix PictureFileSourceFactory duration and default_duration.

2009-03-02  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/elements/singledecodebin.py:
	  discoverer: fix a bug in _closePadLink that seems to break flac detection.

2009-03-02  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Query new duration when we receive GST_MESSAGE_DURATION on the bus.
	  Yes, we do NOT use the value stored in the message, since there's many reasons
	  it will not be coherent. The only accurate way is to query the duration.

2009-03-02  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  Track: Remove the object from a composition before setting it to NULL.
	  This makes sure that the composition can properly release the object,
	  including stopping its streaming thread. If we don't do this, we end up
	  trying to set an object to NULL while its streaming thread is blocked downstream.

2009-03-02  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/viewer.py:
	  UI/Seek: Protect calls to Pipeline.seek() with try/except.
	  This avoids ending up in weird situations where you can't use the
	  Viewer seekbar anymore.

2009-03-02  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/sourcelist.py:
	  Always unquote URIs in SourceList.addUris. Fixes #572346.

2009-03-02  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/file.py:
	* pitivi/timeline/track.py:
	  Set PictureFileSourceFactory.default_duration.

2009-03-02  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/log/loggable.py:
	  Make Loggable.error not raise SystemExit.

2009-03-02  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/defaultpropertyeditor.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/pluginmanagerdialog.glade:
	* pitivi/ui/sourcelist.py:
	  UI: More translation fixups

2009-02-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  Revert "timeline: link all objects in the current selection together"
	  This reverts commit 6421dd56b35be032757aae43e257538c8cf0afcb.

2009-02-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  timeline: link all objects in the current selection together

2009-02-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	  timeline: you can now drop several clips onto the timeline at a time

2009-02-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  Scroll timeline to playhead after zooming

2009-02-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	  timeline: scroll to center of playhead when playhead moves offscreen

2009-02-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  ruler: make sure ruler updates shaded region properly

2009-02-28  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	  timeline: timeline and ruler do not shrink when duration decreases

2009-02-28  Edward Hervey <bilboed@bilboed.com>

	* po/POTFILES.in:
	  POTFILES: Add pitivi/ui/encodingdialog.py

2009-02-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  timeline: clamp new object position to 0 on initial drag-and-drop

2009-02-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  Previewer: fix thumbnailing logic

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/plugincore.py:
	* pitivi/plumber.py:
	* pitivi/ui/defaultpropertyeditor.py:
	* pitivi/ui/point.py:
	* pitivi/ui/projectsettings.py:
	  More code cleanup

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/arraysink.py:
	* pitivi/elements/imagefreeze.py:
	* pitivi/pluginmanager.py:
	* pitivi/previewer.py:
	* pitivi/project.py:
	* pitivi/projectsaver.py:
	* pitivi/settings.py:
	* pitivi/signalinterface.py:
	* pitivi/sourcelist.py:
	* pitivi/threads.py:
	* pitivi/timeline/timeline.py:
	* pitivi/ui/audiofxlist.py:
	* pitivi/ui/controller.py:
	* pitivi/ui/defaultpropertyeditor.py:
	* pitivi/ui/netstream_managerdialog.py:
	* pitivi/ui/pluginmanagerdialog.py:
	* pitivi/ui/point.py:
	* pitivi/ui/preview.py:
	* pitivi/ui/projecttabs.py:
	* pitivi/ui/propertyeditor.py:
	* pitivi/ui/screencast_managerdialog.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/track.py:
	* pitivi/ui/trackobject.py:
	* pitivi/ui/videofxlist.py:
	* pitivi/ui/view.py:
	* pitivi/ui/viewer.py:
	* pitivi/ui/webcam_managerdialog.py:
	* pitivi/ui/zoominterface.py:
	* pitivi/utils.py:
	  Massive trailing whitespace fix

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	* pitivi/discoverer.py:
	* pitivi/encode.py:
	* pitivi/pluginmanager.py:
	* pitivi/previewer.py:
	* pitivi/project.py:
	* pitivi/receiver.py:
	* pitivi/settings.py:
	* pitivi/signalgroup.py:
	* pitivi/stream.py:
	* pitivi/ui/controller.py:
	* pitivi/ui/encodingdialog.py:
	* pitivi/ui/filelisterrordialog.py:
	* pitivi/ui/gstwidget.py:
	* pitivi/ui/netstream_managerdialog.py:
	* pitivi/ui/pluginmanagerdialog.py:
	* pitivi/ui/preview.py:
	* pitivi/ui/projectsettings.py:
	* pitivi/ui/ruler.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/viewer.py:
	* pitivi/ui/webcam_managerdialog.py:
	* pitivi/utils.py:
	  First round of cleanups

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/Makefile.am:
	* pitivi/timeline/effects.py:
	* pitivi/timeline/objects.py:
	* pitivi/ui/track.py:
	* tests/common.py:
	  Remove unused pitivi.timeline modules

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* tests/test_discoverer.py:
	  test_discoverer: Adapt for message changes in discoverer

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/discoverer.py:
	* pitivi/effects.py:
	* pitivi/settings.py:
	* pitivi/sourcelist.py:
	  More conversions to new-style logging

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	* pitivi/check.py:
	* pitivi/discoverer.py:
	* pitivi/settings.py:
	* pitivi/ui/cam_capture.glade:
	* pitivi/ui/encodingdialog.glade:
	* pitivi/ui/filelisterrordialog.py:
	* pitivi/ui/gstwidget.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/net_capture.glade:
	* pitivi/ui/pluginmanagerdialog.py:
	  Translation: Round of fixups according to tips in #563351

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/Makefile.am:
	* pitivi/timeline/composition.py:
	* pitivi/timeline/source.py:
	* pitivi/ui/timeline.py:
	* tests/common.py:
	  timeline: Remove unused modules from old design

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/imagefreeze.py:
	  ImageFreeze: Use element debugging (instead of no-category debugging)

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/operation.py:
	  StreamModifier: Don't forget to put the final capsfilter

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/utils.py:
	  utils/pad_probe: Use pad name if no section was specified

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/check.py:
	  Action/Check: more cleanups

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	  Application: general cleanup

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Only deactivate active actions, and don't forget to initialize some values.

2009-02-27  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	* pitivi/application.py:
	* pitivi/bin.py:
	* pitivi/playground.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/viewer.py:
	* po/POTFILES.in:
	* tests/common.py:
	* tests/test_basic.py:
	  Remove the bin and playground modules from the old API

2009-02-26  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/encodingdialog.glade:
	  Fix Bug 563443: use render stock icon in project render dialog

2009-02-26  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/gstwidget.py:
	  Fix bug 569988: on gstwidget, set spinbutton step increments, range, and climb rate as appropriate

2009-02-26  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  background behind clip name, so text is easier to read

2009-02-26  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/ruler.py:
	  scroll wheel over timeline ruler zooms timeline

2009-02-26  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/actions.xml:
	  remove save-as button from timeline toolbar

2009-02-26  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/settings.py:
	  implement xdg specification

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  ViewAction: Only link audiosink if we have sync == True

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/plumber.py:
	  Plumber: Clear our cached values when the bin is released

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  EncodingDialog: Only change sync properties of *active* actions

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  EncodingDialog: Properly activate/deactivate sync when rendering

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/plumber.py:
	  Plumber/Action: Properly propagate 'sync' property

2009-02-26  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/track.py:
	* pitivi/ui/zoominterface.py:
	  Fix zooming.

2009-02-26  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/previewer.py:
	  Remove a pdb.set_trace() call from the previous commit. Oops.

2009-02-26  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/previewer.py:
	  previewer: workaround inaccurate seeks.

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	* pitivi/device.py:
	* pitivi/discoverer.py:
	* pitivi/encode.py:
	* pitivi/pipeline.py:
	* pitivi/plumber.py:
	* pitivi/project.py:
	* pitivi/stream.py:
	* pitivi/threads.py:
	* pitivi/ui/exportsettingswidget.py:
	* pitivi/ui/filelisterrordialog.py:
	* pitivi/ui/gstwidget.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/pathwalker.py:
	* pitivi/ui/ruler.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/viewer.py:
	  Convert majority of modules to new-style debugging

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/utils.py:
	  utils: Move time_to_string variant from the UI

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Remove dead code

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Remove unused code, and store position timeout.

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* tests/common.py:
	* tests/test_action.py:
	* tests/test_discoverer.py:
	* tests/test_encode.py:
	* tests/test_factories_base.py:
	* tests/test_factories_file.py:
	* tests/test_pipeline.py:
	* tests/test_pipeline_action.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  tests: Fix leak-detection system, more in par with what gst-python uses

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Fix releaseTee for cases when the tee doesn't exist anymore (??)

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Release the lock when exiting the method

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Protect iterations of element pads (it can change while iterating)

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Protect pad added/removed with a lock. Make sure bins exist before using them.

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  EncodingDialog: More fixups with UI

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Make sure we have our consumers when activating.
	  Also, use .sync_state_with_parent() after adding an element to a pipeline.

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Fix Stream matching. Remember all streams. Use the proper StreamEntry.

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  Pipeline/Action: More debugging

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  SinkFactory: Fix makeBin to check for compatible stream

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	* pitivi/factories/timeline.py:
	  Factories: Convert to new logging system

2009-02-26  Edward Hervey <bilboed@bilboed.com>

	* pitivi/log/log.py:
	  log: Add thread id in output

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Don't forget to deactivate actions before removing them.

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  encode: Fix debug

2009-02-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Fix a bug in sub-splitting splitted objects.

2009-02-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/mainwindow.py:
	  Revert "Revert "MainWindow: activate and connect to timeline position handler""
	  This reverts commit e65ce9204b43ba645865cd1736b4dbe8b71eb7a6.

2009-02-23  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/timeline.py:
	* pitivi/stream.py:
	  Add FixSeekStart element to TimelineSourceFactory.
	  The element is needed to make seeking on the timeline work when the
	  timeline contains tracks of different lengths and the seek is past a
	  track's length.

2009-02-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/previewer.py:
	  previewer: fix a bug that caused drawing artifacts while editing.

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Fix debugging

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/utils.py:
	  utils: Switch to new logging system

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/log/log.py:
	* pitivi/log/loggable.py:
	  log: Loggable now passes a proper object name, give it more room in printf output

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  RenderAction: Use 5s queueing.

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline._binPadRemovedCb: Check if it's a pad we control

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Some stream might not have any caps

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/operation.py:
	  StreamModifier: Fix typos

2009-02-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/operation.py:
	  Operation: Insert a single-segment identity in modifiers

2009-02-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  Encode: more new-style debugging

2009-02-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MainWindow: Connect to the Pipeline and not the playground

2009-02-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  EncodingDialog: Fix usage of Action

2009-02-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/factories/base.py:
	* pitivi/pipeline.py:
	  Switch to using new logging system

2009-02-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Only compare pad_names if both streams have some. Use Loggable.

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  EncodingDialog: TEMPORARY COMMIT, REBASE ME !

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  ObjectFactory: Set elements to STATE_NULL before releasing them

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/timeline.py:
	  TimelineFactory: Only remove pads that we control

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Don't error out on stream/factories that were already removed

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Don't release the bin twice

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: limit length of __repr__

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  Track: Set gstreamer elements to NULL before removing them from a container.

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  Viewer: If getting the duration fails, use gst.CLOCK_TIME_NONE

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/zoominterface.py:
	  ZoomInterface: Fix issue with long and gst.CLOCK_TIME_NONE

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/device.py:
	  Device: Attempt at cleaning up after usage

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/project.py:
	  Project: Release the pipeline when done

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/playground.py:
	  Playground: misc fixes, playground will die anyway

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/plumber.py:
	  Action/Plumber: First go at adding 'sync' to view sinks

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* tests/test_action.py:
	* tests/test_basic.py:
	* tests/test_binary_search.py:
	* tests/test_discoverer.py:
	* tests/test_encode.py:
	* tests/test_factories_base.py:
	* tests/test_factories_file.py:
	* tests/test_pipeline.py:
	* tests/test_pipeline_action.py:
	* tests/test_stream.py:
	* tests/test_timeline.py:
	* tests/test_timeline_factory.py:
	* tests/test_track.py:
	  Tests: Switch tests to use new leak-checking TestCase class

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* tests/common.py:
	  Tests: Add new base TestCase class for checking for leaks

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  StreamEncodeSettings: Mark whether streams shoudl be modified

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  EncodingDialog: Start switching to new API

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Add convenience function for creating a RenderAction

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/timeline/track.py:
	  Track: properly release/disconnect everything

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	  Application: improve cleanup

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  Encode: Only create modifiers if we're meant to modify the streams. implement releaseBin

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  ObjectFactory: Track bins created

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/file.py:
	  Factories: New URISinkFactory class

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/file.py:
	  FileFactory: implement releaseBin

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: implement release()

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  Settings: Add a utility function to convert from old settings to new ones

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/encodingdialog.py:
	  encodingdialog: some cleanups

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MainWindow: more stuff moved to Project

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/project.py:
	  Project: Add Pipeline and factory for the timeline

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MainWindow: Cleanup and documentation

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Add a __repr__

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Only filter by pad_name if we have more than one candidate.

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: cache the links returned by autoLink

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* tests/test_action.py:
	  test_action: Add/extend RenderAction tests

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Fix debugging

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: When unlinking/remove bins, start by setting downstream to NULL
	  This avoids deadlocks when deactivating Actions.

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Add debugging

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/operation.py:
	  VideoModifierFactory: Only use videoscale if output caps are present AND fixed

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Simplify RenderAction and make actions Loggable

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  Settings: Use a copy of StaticPadTemplate.get_caps() because of a refcounting issue

2009-02-20  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/pipeline.py:
	  Create stream entries for static pads.

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  stream: remove useless line

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  settings: StreamEncodeSettings: Figure out input/output streams dynamically

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* tests/test_action.py:
	  fix bug

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* tests/test_action.py:
	  test_action: Add test for RenderAction

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  encode: New RenderSinkFactory, and properly export streams on all factories

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* tests/runtests.py:
	  Enable new logging in tests

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	* pitivi/factories/operation.py:
	* pitivi/settings.py:
	* tests/test_encode.py:
	  Encode: Use stream modifiers for encoding when an input stream is specified

2009-02-19  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Start of RenderAction implementation

2009-02-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	* tests/test_encode.py:
	  More fixups in RenderFactory

2009-02-18  Edward Hervey <bilboed@bilboed.com>

	* tests/test_encode.py:
	  test_encode: Test encodersettings property

2009-02-18  Edward Hervey <bilboed@bilboed.com>

	* tests/test_encode.py:
	  New test for pitivi.encode

2009-02-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  StreamEncodeSettings : add comment/fixme regarding parsers

2009-02-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/operation.py:
	  TransformFactory can't create on-demand pads

2009-02-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  encode: Add EncoderFactory and fill in RenderFactory

2009-02-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  The RenderFactory *must* have some settings

2009-02-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	* pitivi/factories/Makefile.am:
	* pitivi/factories/base.py:
	* pitivi/factories/operation.py:
	  New pitivi.factories.operation module
	  Use it in encode, and fix imports in pitivi.factories.base

2009-02-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  First go at new settings

2009-02-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  Factories: fixups docs

2009-02-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/encode.py:
	  Encode: Add basic RenderFactory

2009-02-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  Sink/OperationFactory: Add method for requesting new input streams on existing bins.

2009-02-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  New OperationFactory class for elements that consume AND output data.

2009-02-16  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	* pitivi/encode.py:
	* pitivi/settings.py:
	* pitivi/ui/exportsettingswidget.py:
	  Move some utility functions to pitivi.encode.

2009-02-25  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/mainwindow.py:
	  Revert "MainWindow: activate and connect to timeline position handler"
	  This reverts commit cc1ea53afda61ddd07f9450d401ece0a75de2153.

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  Action/Pipeline: Add a Action class property for queue size to use for links.

2009-02-25  Edward Hervey <bilboed@bilboed.com>

	* pitivi/log/log.py:
	  log: Output lines in one go. Avoids having lines split if we also output GST_DEBUG

2009-02-24  Edward Hervey <bilboed@bilboed.com>

	* pitivi/log/log.py:
	  log: Add more info to logging. Make the default log category more useful

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/Makefile.am:
	  factories: Don't forget to dist timeline.py

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* pitivi/Makefile.am:
	* pitivi/log/Makefile.am:
	  build: Add pitivi.log to the autotools setup

2009-02-23  Edward Hervey <bilboed@bilboed.com>

	* tests/Makefile.am:
	* tests/test_file_load_save.py:
	* tests/test_serializable.py:
	* tests/test_timeline_objects.py:
	* tests/test_timeline_source.py:
	  Tests: Remove deprecated tests

2009-02-22  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/mainwindow.py:
	  MainWindow: activate and connect to timeline position handler

2009-02-21  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/Makefile.am:
	* pitivi/ui/encodingdialog.py:
	* pitivi/ui/mainwindow.py:
	  UI: Split EncodingDialog in a separate file. Clean up code.

2009-02-20  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/project.py:
	  Make video the first track in the timeline.

2009-02-20  Edward Hervey <bilboed@bilboed.com>

	  Merge translations
	  Merge commit 'gnome/master'

2009-02-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  configurable gap between video thumbnails

2009-02-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  really kill fuzzy icons

2009-02-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/pixmaps/processing-clip.png:
	* pitivi/pixmaps/processing-clip.svg:
	* pitivi/previewer.py:
	  rendering progress icons

2009-02-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/pixmaps/pitivi-relink-24.svg:
	* pitivi/pixmaps/pitivi-relink.svg:
	* pitivi/pixmaps/pitivi-split-24.svg:
	* pitivi/pixmaps/pitivi-unlink-24.svg:
	  kill fuzzy icons

2009-02-19  Daniel Nylander <po@danielnylander.se>

	* po/sv.po:
	  Updated sv translation

2009-02-19  Edward Hervey <bilboed@bilboed.com>

	  Merging translations
	  Merge branch 'gnome'

2009-02-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	  Oops, make PITIVI_DEBUG_NO_COLOR do the right thing.

2009-02-19  Simos Xenitellis <simos.info@gmail.com>

	* po/ChangeLog:
	* po/el.po:
	  Updated Greek translation

2009-02-19  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/application.py:
	* pitivi/log/__init__.py:
	* pitivi/log/log.py:
	* pitivi/log/loggable.py:
	* pitivi/log/termcolor.py:
	* pitivi/log/test_log.py:
	  Import a checkout of flumotion/extern/log (r7162).
	  Debugging is enabled by setting the PITIVI_DEBUG environment variable.
	  Colors can be (en|dis)abled with PITIVI_DEBUG_NO_COLOR=(0|1).

2009-02-19  Claude Paroz <claude@2xlibre.net>

	* po/fr.po:
	  Updated French translation

2009-02-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Add a 'queuesize' parameter to configure the queue size.
	  By default we set the queue size to 5 seconds.

2009-02-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	* pitivi/factories/timeline.py:
	  a round of code cleanups

2009-02-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	  Add basic group and ungroup support.

2009-02-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	  Application : code/docs cleanups

2009-02-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Fix some doc links

2009-02-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: In fact, put the default DAR back to 4/3

2009-02-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Set the correct in-point in TrackObject.trimObjectStart.

2009-02-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/factories/test.py:
	  Change VideoTestSourceFactory and AudioTestSourceFactory so that they have have only one stream.

2009-02-18  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/pipeline.py:
	  Pipeline._handleErrorMessage was used but not implemented. Oops.

2009-02-17  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/timeline.py:
	  Merge removeTimelineObject and removeTimelineObjectCompletely.

2009-02-12  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	  basic interactive drag-and-drop logic
	  high level timeline interface
	  interactive dnd that worksgit diff
	  add edge snapping. clean up a little. add fixme/todos
	  fix seeking bug

2009-02-16  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	  Remove pitivi.instance and playground from ui/timeline.py.

2009-02-16  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/ruler.py:
	  Remove pitivi.instance from ruler.py.

2009-02-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/sourcelist.py:
	  UI: Fix beautification of VideoStream 'display' width/height.
	  Fixes #572099

2009-02-17  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  VideoStream: document/fix DAR and PAR

2009-02-16  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/discoverer.py:
	* pitivi/project.py:
	* pitivi/sourcelist.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/sourcelist.py:
	  Use the GStreamer missing plugin API to download missing elements at runtime.

2009-02-13  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/timeline.py:
	* tests/test_timeline.py:
	  Rename Timeline.addFactory to Timeline.addSourceFactory. Implement automatic mapping of stream to tracks for trivial cases and make it possible to pass an explicit mapping for more complex ones.

2009-02-08  Edward Hervey <bilboed@bilboed.com>

	* pitivi/application.py:
	  Application: documentation cleanup (epydoc style).

2009-02-14  Edward Hervey <bilboed@bilboed.com>

	* .gitignore:
	  .gitignore: ignore tarballs

2009-02-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	* pitivi/thumbnailer.py:
	* pitivi/ui/Makefile.am:
	* pitivi/ui/list.py:
	* pitivi/ui/transitionlist.py:
	  Remove unused modules

2009-02-14  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  Make GlobalSettings a real object

2009-02-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/sourcelist.py:
	  sourcelist: doc fixes

2009-02-13  Edward Hervey <bilboed@bilboed.com>

	* pitivi/settings.py:
	  Settings: Add more documentation and fix whitespaces.

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/settings.py:
	  documentation

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  fix whitespace

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	* pitivi/ui/mainwindow.py:
	  don't create unused section

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  add environment variable setting

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  also remember last open/save project folder

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  remember window size and pane positions

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/settings.py:
	  dont write config options when attribute is null

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/sourcelist.py:
	  add some simple config options

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/settings.py:
	  fix bugs

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/application.py:
	* pitivi/settings.py:
	* pitivi/ui/mainwindow.py:
	  basic framework for a modular, flexible configuration system

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	  you can now toggle the razor on and off

2009-02-11  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  fix bug 569896

2009-02-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Implement TrackObject.priority and TimelineObject.priority.

2009-02-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Remove trailing spaces from timeline.py.

2009-02-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Add TrackObject.rate and test that it remains constant in split/trim.

2009-02-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/utils.py:
	  Make PropertyChangeTracker a bit more generic and move it to pitivi.utils.

2009-02-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/preview.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Rename the existing out_point property to media_duration. Add a readonly out_point property.

2009-02-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	  Call TrackObject.releaseBin in Track.removeTrackObject.

2009-02-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	  Keep rate constant in TimelineObject.setDuration and TrackObject.splitObject

2009-02-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	* pitivi/pixmaps/Makefile.am:
	* pitivi/ui/Makefile.am:
	  dist more files

2009-02-09  Edward Hervey <bilboed@bilboed.com>

	* tests/common.py:
	* tests/test_factories_base.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Tests: More fixups

2009-02-09  Edward Hervey <bilboed@bilboed.com>

	* tests/Makefile.am:
	* tests/test_basic.py:
	* tests/test_binary_search.py:
	* tests/test_file_load_save.py:
	* tests/test_timeline_composition.py:
	  A round of fixups for tests.
	  There are still tests left that should disappear (because core API was removed) or
	  modified (for refactored core API).

2009-02-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/Makefile.am:
	  New Makefile for pitivi.factories

2009-02-08  Chris Ball <cjb@laptop.org>

	* configure.ac:
	* pitivi/Makefile.am:
	* pitivi/elements/Makefile.am:
	* pitivi/timeline/Makefile.am:
	* pitivi/ui/Makefile.am:
	* tests/Makefile.am:
	  Fixups for autotools modifications

2009-01-31  Edward Hervey <bilboed@bilboed.com>

	* pitivi/elements/arraysink.py:
	  ArraySink: Dont' use a lower limit for acceptable rates.

2009-01-30  Edward Hervey <bilboed@bilboed.com>

	* pitivi/previewer.py:
	* pitivi/timeline/timeline.py:
	  Adapt previewer code for new TrackObject API

2009-01-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  dramatic speedup in waveform rendering.

2009-01-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  draw waveform segments in pipeline context

2009-01-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  give previewer methods more descripive names, refactor slightly so that the _ready attribute is no longer needed

2009-01-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  video previewer now uses source aspect ratio instead of assuming 4:3

2009-01-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  always return False from _pipelineAction methods

2009-01-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	* pitivi/ui/preview.py:
	  stop vertical smearing when only part of the clip is redrawn

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  add fixme comment

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	  refactor previewer against new-style factories, but some kind of arithmetic error means only default thumbnails are displayed

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  fix name conflicts

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/preview.py:
	  preview UI object handles different signals in new core

2009-01-19  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/previewer.py:
	* pitivi/ui/preview.py:
	  eliminate gaps between thumbnails by drawing slightly larger bitmap factor monolithic previewer into separate classes

2009-01-06  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/elements/arraysink.py:
	* pitivi/previewer.py:
	* pitivi/ui/preview.py:
	* pitivi/ui/trackobject.py:
	  cleanup of code and math. cosmetic tweaks. fix a few bugs.

2008-12-23  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/elements/thumbnailsink.py:
	* pitivi/previewer.py:
	* pitivi/ui/trackobject.py:
	* pitivi/utils.py:
	  actual thumbnails

2009-01-20  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/elements/arraysink.py:
	* pitivi/previewer.py:
	* pitivi/ui/preview.py:
	* pitivi/ui/trackobject.py:
	* pitivi/utils.py:
	  fix merge conflict

2009-01-30  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/ruler.py:
	* pitivi/ui/viewer.py:
	* tests/test_discoverer.py:
	* tests/test_stream.py:
	  Reimplement scrubbing in the timeline.

2009-01-30  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Call track_object.makeBin() in Track.addTrackObject.

2009-01-30  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  In TrackObject set in_point=0 and out_point=factory.duration by deafult.

2009-01-30  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	* pitivi/elements/singledecodebin.py:
	* pitivi/factories/base.py:
	* pitivi/factories/test.py:
	* pitivi/project.py:
	* pitivi/stream.py:
	* tests/test_timeline.py:
	  Add pitivi.stream.get_stream_for_pad and use it in discoverer and singledecodebin to uniquely identify streams.

2009-01-30  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	  Workaround what seems a pygobject refcount bug doing pad.connect(..., pad).

2009-01-29  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/viewer.py:
	  Move Viewer dnd logic to PitiviMainWindow and just call viewer.setPipeline from there.

2009-01-28  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/action.py:
	* pitivi/ui/viewer.py:
	  Fix switching producers in the viewer.

2009-01-28  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	* tests/test_pipeline.py:
	  Fix producers called with makeBin(stream=None) and that have multiple output streams.

2009-01-28  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	* pitivi/stream.py:
	* pitivi/ui/viewer.py:
	* tests/test_action.py:
	* tests/test_pipeline.py:
	* tests/test_pipeline_action.py:
	  Remove Pipeline.(add|remove)Factory.
	  Factories are always added and removed dinamically by actions now.
	  Adapt Action and tests to match the new API.

2009-01-26  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/test_timeline_factory.py:
	  tests/test_timeline_factory.py: More tests

2009-01-26  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/base.py:
	* pitivi/factories/timeline.py:
	  Add ObjectFactory.clean and implement TimelineSourceFactory.clean.

2009-01-23  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/timeline.py:
	* pitivi/ui/ruler.py:
	* pitivi/ui/viewer.py:
	* tests/test_timeline_factory.py:
	  Add TimelineSourceFactory. Basic tests are there but more are needed.

2009-01-23  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/base.py:
	* pitivi/factories/test.py:
	  Add VideoTestSourceFactory and AudioTestSourceFactory.

2009-01-20  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/action.py:
	* pitivi/ui/viewer.py:
	  Make changing the source factory in ViewAction work.

2009-01-20  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/action.py:
	  Fix Action.removeProducers.

2009-01-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  Viewer: We have a working viewer... for temporary files at least :)

2009-01-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline : Add duration support and synchronous element messages, along with some debugging statements

2009-01-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action : Fill in default ViewAction

2009-01-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Don't use the klasses of bins for figuring out if an element is a decoder

2009-01-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Fix some issues with dynamic linking

2009-01-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Add some debugging statements and documentation

2009-01-18  Edward Hervey <bilboed@bilboed.com>

	* pitivi/plumber.py:
	  Plumber: Convert to SinkFactory

2009-01-15  Edward Hervey <bilboed@bilboed.com>

	* pitivi/playground.py:
	  Playground: lower some debugging categories

2009-01-13  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  Viewer: Moving on a bit with conversion

2009-01-13  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  Pipeline/Action: More dynamic-stream fixups

2009-01-13  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Fix for non-fixed caps, and 'None' Streams (which match anything).

2009-01-13  Edward Hervey <bilboed@bilboed.com>

	* tests/test_action.py:
	* tests/test_pipeline_action.py:
	  Tests: Move the more advanced Pipeline/Action tests to a different file

2009-01-13  Edward Hervey <bilboed@bilboed.com>

	* tests/common.py:
	  tests.common: Add thread-safety and make factories configurable.

2009-01-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  Action/Pipeline: move on a bit more with dynamic linking

2009-01-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Fix docs

2009-01-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  Stream: document some methods

2009-01-12  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* tests/test_action.py:
	  Action: Implement set/remove Link, along with minimal unit-testing

2009-01-12  Edward Hervey <bilboed@bilboed.com>

	* tests/test_pipeline.py:
	  Test for changes to Pipeline.removeAction(), we can actually remove deactivated Actions in PAUSED/PLAYING

2009-01-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  Pipeline/Action: First go at dynamic stream handling, refactor-me after improvement

2009-01-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/ui/viewer.py:
	  Viewer: First go at switching it to Pipeline/Action, needs more work

2009-01-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Convenience methods for stream compatibility

2009-01-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: document signals

2009-01-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Implement seek a bit more, move release() around

2009-01-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Add position listener

2009-01-11  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Add blank ViewAction

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  Pipeline/Action: Add references to other methods in docs.

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  Action: Transfer the unlinking/removal of queue/tee to Pipeline

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	* tests/test_action.py:
	  Action: Implement Action deactivation, along with Pipeline release methods

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  Fixup documentation of Action and Pipeline

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* tests/test_action.py:
	  New test for advanced interaction between Action and Pipeline

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Add methods for working with Links, finish activation implementation

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: Add methods for getting Bins, Tees and Queues

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* tests/test_pipeline.py:
	  Pipeline: Test more advanced Action-related things

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* tests/test_pipeline.py:
	  Pipeline: Check 'state-changed' a bit deeper

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	* tests/test_pipeline.py:
	  Pipeline: Implement simple ObjectFactory addition/removal

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	* tests/test_pipeline.py:
	  Pipeline: Add stop() and test all convenience state change methods

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	* tests/test_pipeline.py:
	  Pipeline: Add getState() method to force querying the underlying gst.Pipeline.

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* tests/test_action.py:
	  Action: implement add/remove Producers/Consumers along with unit test

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* tests/common.py:
	  tests/comon: Comment out bogus factories and add basic SourceFactory/SinkFactory examples

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Add link methods

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/Makefile.am:
	  Add action.py and pipeline.py

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	* tests/test_action.py:
	* tests/test_pipeline.py:
	  Action/Pipeline: Document and unit-test a bit more
	  Added compatible_[consumers|producers] class property to Action

2009-01-08  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: More documentation/debug.

2009-01-08  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: More documentation and initial implementation of factory-related methods
	  This hasn't been tested yet !

2009-01-08  Edward Hervey <bilboed@bilboed.com>

	* tests/Makefile.am:
	* tests/test_action.py:
	* tests/test_pipeline.py:
	  Add unit tests for Action and Pipeline

2009-01-08  Edward Hervey <bilboed@bilboed.com>

	* pitivi/pipeline.py:
	  Pipeline: document/implement addAction/setAction/removeAction and setState

2009-01-08  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	  Action: Implement/document setPipeline/unsetPipeline

2009-01-08  Edward Hervey <bilboed@bilboed.com>

	* pitivi/action.py:
	* pitivi/pipeline.py:
	  New Pipeline/Action modules. Only blank classes but fully documented.

2009-01-30  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  set canvas bounds correctly when timeline duration changes

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  raise a clip to top of drawing stack before dragging

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/pixmaps/trimbar-focused.png:
	* pitivi/pixmaps/trimbar-normal.png:
	* pitivi/pixmaps/trimbar.png:
	* pitivi/ui/trackobject.py:
	  provide more feedback by increasing trimbar alpha value on mouse-over. adjust source background color to make feedback more visible.

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  import dialog now has checkbox which controls whether dialog stays open after use clicks 'add'

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  default filter for project file save dialog is now pickle format

2009-01-27  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	  default filter for open dialog is now the pickle format

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timeline.py:
	  delete key is now accelerator for delete operation

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  indicate selection with yellow border around clip. should be more visible with thumbnails

2009-01-07  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/pixmaps/trimbar.png:
	* pitivi/ui/trackobject.py:
	  better lookign trim bar

2009-01-29  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  properly initialize track objects

2009-01-15  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/trackobject.py:
	* pitivi/utils.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Add edge snapping.

2009-01-16  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Emit duration-changed in TimelineObject.split.

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	  selections are visible, similar to how they worked in trunk.

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/trackobject.py:
	  adjust ui TimelineObject 'selected-changed' signal handler signature to match

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  change the 'selected-changed' signal prototype for TrackObject

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  add 'selected' property to TimelineObject

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	* pitivi/ui/trackobject.py:
	  add 'selected' property to TrackObject

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  fix splitting of clips

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	  fix zooming which was broken when edge snapping code was removed

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/trackobject.py:
	  remove some cruft

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/timelineobject.py:
	* pitivi/ui/track.py:
	* pitivi/ui/trackobject.py:
	  ui.timelineobject -> ui.trackobject

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/mainwindow.py:
	* pitivi/ui/timeline.py:
	  update the ui to reflect the new semantics of the link command

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/timeline.py:
	  clobber debugging print statement

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/stream.py:
	* pitivi/ui/sourcelist.py:
	  factor MultimediaStream.getPrettyInfo into function in ui.sourcelist module

2009-01-15  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/bin.py:
	* pitivi/timeline/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	  towards a real implementation of Timeline.addFactory

2009-01-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/ui/sourcelist.py:
	  clear up some indentation issues

2009-01-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/base.py:
	* pitivi/ui/sourcelist.py:
	  move pretty info code from ObjectFactory to SourceList, since it seems that we can write generic enough code, and this properly belongs in the UI

2009-01-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/base.py:
	* pitivi/stream.py:
	* pitivi/ui/sourcelist.py:
	  sourcelist displays pretty info, but it is ugly

2009-01-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/factories/base.py:
	  add a default getPrettyInfo() method for base object factory which just concatenates prettyInfo() of its output streams

2009-01-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/stream.py:
	  ressurect private _getMarkup method of MultiMedia stream as public getPrettyInfo() method

2009-01-14  Brandon Lewis <brandon_lewis@berkeley.edu>

	* pitivi/timeline/track.py:
	  fix indentation

2009-01-07  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	  Checkpoint. Pitivi starts again and you can drag sources on the timeline.

2009-01-14  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Take into account trimming when limiting timeline object duration.

2009-01-14  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Limit a timeline object's duration to the duration of its factory.

2009-01-14  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/stream.py:
	  Remove AudioStream.height (copy 'n' paste FTW).

2009-01-14  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Make sure that moving an object never pushes linked objects at time < 0s.

2009-01-13  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Implement Timeline.deleteSelection.

2009-01-13  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/timeline.py:
	* tests/test_timeline.py:
	  Add initial link support.
	  In order to test linking in the interface i've also added some code needed to
	  make mouse selection work. That part is just a quick hack and should be
	  reworked.

2009-01-13  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Add Link.join.

2009-01-13  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	  Take into account trimmed space in TrackObject.copy.

2009-01-12  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/timelinecanvas.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Put back split support.

2009-01-12  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* pitivi/ui/timelineobject.py:
	* tests/test_track.py:
	  Do clamping in TrackObject.trimStart.

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/signalinterface.py:
	  Document SignalInterface a bit more.

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  ObjectFactory: add getInputStreams method

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Add convenience methods for getting pads compatible with a given Stream

2009-01-10  Edward Hervey <bilboed@bilboed.com>

	* pitivi/stream.py:
	  Stream: Properly document using epydoc syntax.

2009-01-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* pitivi/ui/timelineobject.py:
	* tests/test_track.py:
	  Add tests for TrackObject.trimStart.

2009-01-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* pitivi/ui/sourcelist.py:
	* pitivi/ui/timelineobject.py:
	  Implement (Timeline|Track)Object.trimStart.

2009-01-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/timelineobject.py:
	* pitivi/ui/track.py:
	  Improve mouse handling and duration tracking in the timeline ui.

2009-01-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	  Improve duration tracking in the Timeline.

2009-01-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	  Proxy calls from TrackObject.set(Start|Duration|InPoint|OutPoint) to the parent TimelineObject.

2009-01-09  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Remove the constraint that a TrackObject has to be in a Track before it can be added to a TimelineObject.

2009-01-09  Edward Hervey <bilboed@bilboed.com>

	* pitivi/factories/base.py:
	  Add basic SinkFactory class

2009-01-08  Edward Hervey <bilboed@bilboed.com>

	* tests/common.py:
	  SignalMonitor: Add tracking of signals contents also

2009-01-08  Edward Hervey <bilboed@bilboed.com>

	* tests/Makefile.am:
	  Add a rule to be able to do "make test_something.py.check" to run individual tests

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/base.py:
	  In SourceFactory.__init__ make the name argument optional again. Oops.

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/base.py:
	* tests/test_factories_base.py:
	  Implement SourceFactory.releaseBin.
	  Add SourceFactory.releaseBin and add two signals: bin-created and bin-released.

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/common.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Add SignalMonitor to tests.common and use it track and timeline tests.

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/test_factories_file.py:
	  Change test_factories_file so that a check for ffvideoscale is only run when ffvideoscale is available.

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/bin.py:
	* pitivi/project.py:
	* pitivi/timeline/timeline.py:
	* pitivi/ui/mainwindow.py:
	* pitivi/ui/ruler.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/timelinecanvas.py:
	* pitivi/ui/timelineobject.py:
	* pitivi/ui/track.py:
	* pitivi/ui/viewer.py:
	  Misc changes to make pitivi start again.
	  Some of the changes are quick hacks and should be reworked later on.

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Add track-added track-removed and duration-changed to Timeline.

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Implement a minimal TrackObject._makeGnlObject.

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	  Add track-object-added track-object-removed and duration-changed to Track.

2009-01-08  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  In TrackObject don't unconditionally override gnlobject properties.

2009-01-07  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Add a new (failing) test for TimelineObject. Checkpoint as i'm gonna do some refactoring.

2009-01-07  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	  Workaround the fact that Signallable is not a new style class.

2009-01-06  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Remove Timeline.(link|unlink)Objects stubs.
	  I'll add them back later when it's clear what API is needed from higher layers.

2009-01-06  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Call removeAllTrackObjects() by default when removing a Track.

2009-01-06  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Add Track.removeAllTrackObjects() + tests.

2009-01-06  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  More tests for Link.

2009-01-06  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Add TestLink.testChangeStart to test start time changes between linked objects.

2009-01-06  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	  Copy the list of objects as it's modified during the iteration.

2009-01-05  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* tests/test_timeline.py:
	* tests/test_track.py:
	  Implement TimelineObject properties and signals for the simple TimelineObject -> 1 TrackObject case.

2009-01-05  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/timeline/timeline.py:
	* tests/test_timeline.py:
	  Add the Selection object + tests.

2009-01-05  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/test_timeline.py:
	  git add tests/test_timeline.py.

2009-01-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/timeline.py:
	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Implement TimelineObject and Timeline.(add|remove)TimelineObject.

2009-01-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Ensure that a TrackObject can be added to one track only.

2009-01-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Implement TestTrackAddRemoveObjects.

2009-01-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/utils.py:
	  Add the UNKNOWN_DURATION constant to pitivi.utils.

2009-01-05  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/timeline/track.py:
	* tests/test_track.py:
	  Implement TrackObject. With unit tests.

2009-01-05  Alessandro Decina <alessandro.d@gmail.com>

	* .gitignore:
	  Add .*.swp to .gitignore.

2009-01-07  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/signalinterface.py:
	* tests/test_signallable.py:
	  Add Signallable.disconnect_by_function.

2009-01-07  Edward Hervey <bilboed@bilboed.com>

	* bin/pitivi.in:
	  Remove very old protection for GMainLoop not being able to handle exceptions.
	  This has been fixed for ages in pygobject, and was hiding many exceptions.

2009-01-07  Edward Hervey <bilboed@bilboed.com>

	* po/POTFILES.in:
	  update for removed/added files

2009-01-07  Edward Hervey <bilboed@bilboed.com>

	* po/pt.po:
	  Remove duplicate entry

2008-12-19  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	  Remove a bogus check in discoverer that breaks thumbnailing.

2008-12-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/pathwalker.py:
	  Import os in pathwalker.py

2008-12-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	  Don't error out when running discoverer on an image file and the duration is unknown.

2008-12-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	  Make discoverer work with gst < 0.10.21.1, see #564863 for more info.

2008-12-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* autogen.sh:
	* configure.ac:
	  pitivi/pitivi.py was moved to pitivi/application.py, update autogen.sh and configure.ac.

2008-12-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* tests/test_factories_file.py:
	  git add tests/test_factories_file.py. Oops.

2008-12-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	  Put the discover timeout back to 10 seconds.

2008-12-17  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	  Use decodebin2 by default in Discoverer.

2008-12-17  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	  Wait for caps to be fixed on decodebin pads. When doing thumbnails call finishAnalysis only once EOS is posted.
	  We need to wait for the caps to be fixed because it can happen that
	  decodebin2 exposes the pads once they are blocked BUT before caps nego.
	  As for EOS, it will be forwarded by GstBin as soon as all the sinks
	  receive EOS (meaning _after_ pngenc has encoded one frame and it has been
	  rendered in the sink.)

2008-12-16  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/ui/viewer.py:
	  Adjust the aspect ratio of the viewer only when viewing videos.

2008-12-16  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/discoverer.py:
	* tests/test_discoverer.py:
	  Report an error when there's a timeout in Discoverer.

2008-12-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/device.py:
	* pitivi/discoverer.py:
	* pitivi/factories/base.py:
	* pitivi/stream.py:
	* pitivi/timeline/objects.py:
	* pitivi/ui/sourcelist.py:
	* tests/test_discoverer.py:
	* tests/test_factories_base.py:
	  Refactor Discoverer to work with multiple streams per source.
	  Unit tests are passing, functional tests haven't been run yet so will
	  probably not work.

2008-12-18  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/bin.py:
	* pitivi/device.py:
	  Hack HalDeviceProbe quickly so that it's at least partly functioning.

2008-12-16  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/bin.py:
	* pitivi/factories/base.py:
	* pitivi/playground.py:
	* pitivi/sourcelist.py:
	* pitivi/ui/viewer.py:
	  Make double clicking a row in the source list work again.

2008-12-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* bin/pitivi.in:
	* pitivi/application.py:
	* pitivi/pitivi.py:
	  Move pitivi/pitivi.py to pitivi/application.py to remove ambiguity when using absolute imports.

2008-12-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/factories/__init__.py:
	* pitivi/factories/base.py:
	* pitivi/factories/file.py:
	* pitivi/objectfactory.py:
	* tests/test_factories_base.py:
	* tests/test_objectfactory.py:
	  Move factories to pitivi/factories/.
	  Move base factories in pitivi.factories.base, FileSourceFactory and
	  PictureFileSourceFactory in pitivi.factories.file. Update tests.

2008-12-11  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/objectfactory.py:
	* tests/test_objectfactory.py:
	  Implement RandomAccessSourceFactory, including tests.

2008-12-10  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* pitivi/elements/singledecodebin.py:
	* pitivi/objectfactory.py:
	* pitivi/stream.py:
	* tests/test_objectfactory.py:
	  First step in refactoring object factories. With 100% more tests.
	  This is a major internal API change so the UI is broken at the moment.

2008-12-09  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/stream.py:
	* tests/__init__.py:
	* tests/test_stream.py:
	  Refactor AudioStream and VideoStream. Add unit tests.
	  This changes the API of streams a bit (the markup stuff has been deleted) so
	  it breaks the interface.

2008-12-06  Alessandro Decina <alessandro.d@gmail.com>

	* pitivi/ui/ruler.py:
	* pitivi/ui/timeline.py:
	* pitivi/ui/viewer.py:
	  Refactor and fix seek behaviour with timeline/ruler.
	  Refactor the seek compression code so that it's more readable.
	  Fix the ruler to send new seeks when the timeline changes so that it
	  always reflects the correct position.

2009-01-07  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  New 0.13 branch for new design refactoring.
	  This branch will no longer be API compatible, expect breakage for the next
	  few weeks.

2008-12-30  Edward Hervey <bilboed@bilboed.com>

	* .gitignore:
	  Add more files to ignore

2008-12-30  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	  minor comment cleanup

2008-12-30  Edward Hervey <bilboed@bilboed.com>

	* .gitmodules:
	* autogen.sh:
	* common:
	  Use common from git.pitivi.org
	  This gets rid of the cvs dependency (yay !)

2008-12-30  Edward Hervey <bilboed@bilboed.com>

	  2008-12-28  Duarte Loreto <happyguy_pt@hotmail.com>
	  * pt.po: Updated Portuguese translation by António Lima
	  <amrlima@gmail.com>.

2008-12-30  Edward Hervey <bilboed@bilboed.com>

	* po/ar.po:
	* po/ca.po:
	* po/de.po:
	* po/dz.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/lv.po:
	* po/nb.po:
	* po/oc.po:
	* po/pa.po:
	* po/pt.po:
	* po/pt_BR.po:
	* po/sv.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  updated po files for modified code

2008-12-30  Nathan Samson <nathansamson@gmail.com>

	* po/LINGUAS:
	* po/nl.po:
	  New dutch translation

2008-12-22  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  And back to development

2008-12-18  Edward Hervey <edward.hervey@collabora.co.uk>

	* docs/pitivi-Authors:
	  Add Chao-Hsiung Liao to the svn Authors mapping

2008-12-18  Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

	* po/ChangeLog:
	* po/LINGUAS:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  0.11.3

2008-12-11  Edward Hervey <edward.hervey@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Releasing 0.11.3 "Paella Cubana"
	  ChangeLog is now generated only at (pre-)release time !

2008-12-11  Edward Hervey <edward.hervey@collabora.co.uk>

	* docs/makeChangelog.py:
	  Fix ChangeLog generator for proper formatting

2008-12-11  Edward Hervey <edward.hervey@collabora.co.uk>

	* docs/release:
	  docs: New file documenting (pre-)releasing

2008-12-11  Edward Hervey <edward.hervey@collabora.co.uk>

	* docs/pitivi-Authors:
	  docs/pitivi-Authors : Fix Christian's email adress

2008-12-09  Edward Hervey <edward.hervey@collabora.co.uk>

	* docs/makeChangelog.py:
	  docs/makeChangelog : New GNU-Style ChangeLog generator from git log
	  This can be used to generate clean GNU-Style ChangeLog history based
	  on the information stored in git.
	  It can handle git-svn repositories also.
	  WARNING : Since this generates as-perfect-as-possible ChangeLog, there is
	  a good chance that it will be very different from the hand-crafted ChangeLog.
	  Therefore you shouldn't use this script to replace the ChangeLog file, but
	  instead create (at (pre-)release time) CHANGES files (don't commit those !).

2008-12-09  Edward Hervey <edward.hervey@collabora.co.uk>

	* docs/pitivi-Authors:
	  New Authors mapping file for use with git-svn.
	  This file can be used so that the svn-id <=> User/Email mapping is consistent
	  and more useful to read.
	  You can set this as a local git config by using:
	  git config svn.authorsfile docs/pitivi-Authors
	  And then you can re-fetch the svn history and the authors will be properly fixed.

2008-12-09  Edward Hervey <edward.hervey@collabora.co.uk>

	* pitivi/ui/projecttabs.py:
	  Temporarily disable property editor for 0.11.3 release since it doesn't do anything.

2008-12-08  Edward Hervey <edward.hervey@collabora.co.uk>

	* pitivi/ui/mainwindow.py:
	  Swap OK and CANCEL buttons in the choose file to render to dialog.
	  Patch by Alessandro Decina <alessandro dot d at gmail dot con>
	  Fixes #563444

2008-12-05  Mario Blättermann <mariobl@svn.gnome.org>

	* po/de.po:
	  Some fixes in German translation

2008-12-05  Edward Hervey <edward.hervey@collabora.co.uk>

	* po/ChangeLog:
	* po/ar.po:
	* po/ca.po:
	* po/dz.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/lv.po:
	* po/nb.po:
	* po/oc.po:
	* po/pa.po:
	* po/pt.po:
	* po/pt_BR.po:
	* po/sv.po:
	* po/zh_CN.po:
	  po/: Fixed French translation, and ran other files through "make update-po"

2008-12-05  Mario Blättermann <mariobl@svn.gnome.org>

	* po/ChangeLog:
	* po/de.po:
	  Updated German translation

2008-12-04  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	  configure.ac : pitivi 0.11.2.2 pre-release

2008-12-04  Edward Hervey <edward.hervey@collabora.co.uk>

	* pitivi.spec.in:
	  pitivi.spec.in : various updates

2008-12-04  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	  configure.ac: We require python >= 2.5

2008-12-03  Edward Hervey <edward.hervey@collabora.co.uk>

	* pitivi/utils.py:
	  utils: Add a callback for pad probes

2008-12-03  Edward Hervey <edward.hervey@collabora.co.uk>

	* pitivi/settings.py:
	  settings: Remove useless debug statement

